Index: papers/SMPaT-2012_DCWoRMS/elsarticle-DCWoRMS.aux
===================================================================
--- papers/SMPaT-2012_DCWoRMS/elsarticle-DCWoRMS.aux	(revision 1078)
+++ papers/SMPaT-2012_DCWoRMS/elsarticle-DCWoRMS.aux	(revision 1079)
@@ -133,6 +133,6 @@
 \bibcite{SimGrid}{{6}{}{{}}{{}}}
 \bibcite{DCD_Romonet}{{7}{}{{}}{{}}}
+\newlabel{}{{6}{31}}
 \bibcite{networks}{{8}{}{{}}{{}}}
-\newlabel{}{{6}{31}}
 \bibcite{Ghislain}{{9}{}{{}}{{}}}
 \bibcite{games}{{10}{}{{}}{{}}}
Index: papers/SMPaT-2012_DCWoRMS/elsarticle-DCWoRMS.fdb_latexmk
===================================================================
--- papers/SMPaT-2012_DCWoRMS/elsarticle-DCWoRMS.fdb_latexmk	(revision 1078)
+++ papers/SMPaT-2012_DCWoRMS/elsarticle-DCWoRMS.fdb_latexmk	(revision 1079)
@@ -1,4 +1,4 @@
 # Fdb version 2
-["pdflatex"] 1370720839 "elsarticle-DCWoRMS.tex" "elsarticle-DCWoRMS.pdf" "elsarticle-DCWoRMS" 
+["pdflatex"] 1370722816 "elsarticle-DCWoRMS.tex" "elsarticle-DCWoRMS.pdf" "elsarticle-DCWoRMS" 
   "/usr/local/texlive/2010/texmf-dist/tex/context/base/supp-pdf.mkii" 1251025892 71625 fad1c4b52151c234b6873a255b0ad6b3 ""
   "/usr/local/texlive/2010/texmf-dist/tex/generic/oberdiek/etexcmds.sty" 1267408169 5670 cacb018555825cfe95cd1e1317d82c1d ""
@@ -30,7 +30,7 @@
   "/usr/local/texlive/2010/texmf-dist/tex/latex/psnfss/upsy.fd" 1137110629 148 2da0acd77cba348f34823f44cabf0058 ""
   "/usr/local/texlive/2010/texmf-dist/tex/latex/psnfss/upzd.fd" 1137110629 148 b2a94082cb802f90d3daf6dd0c7188a0 ""
-  "elsarticle-DCWoRMS.aux" 1370720841 9054 ce767eca17a41673648ebec1ac97b451 ""
-  "elsarticle-DCWoRMS.spl" 1370720839 0 d41d8cd98f00b204e9800998ecf8427e ""
-  "elsarticle-DCWoRMS.tex" 1370720839 80999 74059f701981185c8ea7126e062971ba ""
+  "elsarticle-DCWoRMS.aux" 1370722818 9054 b40f773f57a40a9f66fa293ad23d8043 ""
+  "elsarticle-DCWoRMS.spl" 1370722816 0 d41d8cd98f00b204e9800998ecf8427e ""
+  "elsarticle-DCWoRMS.tex" 1370722816 81239 bd7ab184bd2f1e0b2deb4d047ebd46d1 ""
   "elsarticle.cls" 1352447924 26095 ad44f4892f75e6e05dca57a3581f78d1 ""
   "fig/70dfsGantt.png" 1370005142 138858 edc557d8862a7825f2941d8c69c30659 ""
Index: papers/SMPaT-2012_DCWoRMS/elsarticle-DCWoRMS.tex
===================================================================
--- papers/SMPaT-2012_DCWoRMS/elsarticle-DCWoRMS.tex	(revision 1078)
+++ papers/SMPaT-2012_DCWoRMS/elsarticle-DCWoRMS.tex	(revision 1079)
@@ -726,8 +726,8 @@
 \subsection{Verification of models} 
 
-This section contains more detailed and experimental comparison of power consumption models that can be applied, among others, within the DCworms. As a reference model, called Mapping approach, we used model that was applied to the experiments in the previous section. As mentioned within this model, the values measured on the CoolEmAll testbed for each application were applied directly to the power consumption model used in DCworms. 
+This section contains more detailed and experimental comparison of power consumption models that can be applied, among others, within the DCworms. As a reference model, we used model that was applied to the experiments in the previous section and called Mapping approach. As mentioned within this model, the values measured for each application on the CoolEmAll testbed were applied directly to the power consumption model used in DCworms. 
 
 \paragraph{Static}
-With each node power state, understood as a possible operating state (p-state), we associated a power consumption value that derives from the averaged values of measurements obtained for different types of application. Therefore, the current power usage of the node, can be expressed as: 
+Within this model, with each node power state, understood as a possible operating state of its processor (p-state), we associated a power consumption value that derives from the averaged values of measurements obtained for different types of application. Therefore, the current power usage of the node, can be expressed as (equation (\ref{eq:modelStatic})): 
 \begin{equation}
 P = P_{idle} + P_{f} \label{eq:modelStatic}
@@ -746,5 +746,5 @@
 
 \paragraph{Application}
-The applied model followed the equation (\ref{eq:model}) and used the data presented in Section \ref{sec:models}.
+The applied model followes the equation (\ref{eq:model}) and uses the data presented in Section \ref{sec:models}.
 
 Table \ref{modelsResults} contains the results obtained for all examined models for five resource management strategies presented in the previous section, while Table \ref{modelsAccuracy} summarize their accuracy.
@@ -776,5 +776,5 @@
 R+NPM &  36.705 & 38.790	& 36.679  & 34.846 \\
 EO & 46.305 & 49.254 & 46.746 & 44.585 \\
-EO +NPM & 30.568 &	33.915 & 30.31 & 28.728\\
+EO+NPM & 30.568 &	33.915 & 30.31 & 28.728\\
 R+LF  & 77.109 &  78.371 & 76.5  &	81.919\\
 \hline
@@ -794,5 +794,5 @@
 R+NPM & 100 & 94.32&	99.93&	94.94 \\
 EO & 100 & 93.63	&99.05	&96.29\\
-EO +NPM &  100 &	89.05&	99.16&	93.98\\
+EO+NPM &  100 &	89.05&	99.16&	93.98\\
 R+LF  &  100 &  98.36	&99.21&	93.76\\
 \hline
@@ -801,5 +801,5 @@
 \end {table}
 
-As it can be observed, the accuracy of the all models is high and exceeds visibly 90\%. Satisfactory accuracy suggests that applying various power consumption models, while verifying different approaches or in case of lack of detailed measurements, does not lead to deterioration of overall results. This fact confirms also the important role of simulations in the experiments related to the distributed computing systems. 
+As it can be observed, the accuracy of the all models is high and exceeds visibly 90\%. The best results were obtained for the Dynamic approach which introduced the linear dependency between the load and power consumption for the given type of application. Satisfactory accuracy suggests that applying various power consumption models, while verifying different approaches or in case of lack of detailed measurements, does not lead to deterioration of overall results. This fact confirms also the important role of simulations in the experiments related to the distributed computing systems. 
 
 