Index: DCWoRMS/branches/coolemall/src/test/DEBBTranslator/xml/example/Component_Nodegroup_RECS_Sirius_2.0.xml
===================================================================
--- DCWoRMS/branches/coolemall/src/test/DEBBTranslator/xml/example/Component_Nodegroup_RECS_Sirius_2.0.xml	(revision 1029)
+++ DCWoRMS/branches/coolemall/src/test/DEBBTranslator/xml/example/Component_Nodegroup_RECS_Sirius_2.0.xml	(revision 1087)
@@ -1,4 +1,4 @@
 <?xml version="1.0" encoding="UTF-8"?>
-<xsd_1:NodeGroup xmlns:xsd_1="http://www.coolemall.eu/DEBBComponent" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://www.coolemall.eu/DEBBComponent ../DEBBComponents.xsd " xsi:type="xsd_1:DEBBComponentType">
+<xsd_1:NodeGroup xmlns:xsd_1="http://www.coolemall.eu/DEBBComponent" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://www.coolemall.eu/DEBBComponent DEBBComponents.xsd " xsi:type="xsd_1:DEBBComponentType">
   <ComponentId>Nodegroup_RECS_Sirius_2.0</ComponentId>
   <Label>RECS</Label>
@@ -8,6 +8,10 @@
   <Type>NodeGroupEnclosure</Type>
   <Reference>
+    <Type>STL</Type>
+    <Location>./object/NodeGroup_recscase.stl</Location>
+  </Reference>
+  <Reference>
     <Type>VRML</Type>
-    <Location>./object/recscase.wrl</Location>
+    <Location>./object/NodeGroup_recscase.wrl</Location>
   </Reference>
   <Outlet>
@@ -18,8 +22,12 @@
     <PowerUsage>3.0</PowerUsage>
     <Type>Fan</Type>
-    <Transform>Transform</Transform>
-    <Reference>
-      <Type>VRML</Type>
-      <Location>Location</Location>
+    <Transform>1 0 0 0 0 1 0 0 0 0 1 0 -0.391 -0.9748 0.00308 1</Transform>
+    <Reference>
+      <Type>STL</Type>
+      <Location>./object/NodeGroup_recscase_Outlet.stl</Location>
+    </Reference>
+    <Reference>
+      <Type>VRML</Type>
+      <Location>./object/NodeGroup_recscase_Outlet.wrl</Location>
     </Reference>
     <MaxRPM>0</MaxRPM>
@@ -28,8 +36,12 @@
     <Label>Outlet_2</Label>
     <Type>Fan</Type>
-    <Transform>Transform</Transform>
-    <Reference>
-      <Type>VRML</Type>
-      <Location>Location</Location>
+    <Transform>1 0 0 0 0 1 0 0 0 0 1 0 -0.391 -0.8648 0.00308 1</Transform>
+    <Reference>
+      <Type>STL</Type>
+      <Location>./object/NodeGroup_recscase_Outlet.stl</Location>
+    </Reference>
+    <Reference>
+      <Type>VRML</Type>
+      <Location>./object/NodeGroup_recscase_Outlet.wrl</Location>
     </Reference>
   </Outlet>
@@ -37,8 +49,12 @@
     <Label>Outlet_3</Label>
     <Type>Fan</Type>
-    <Transform>Transform</Transform>
-    <Reference>
-      <Type>VRML</Type>
-      <Location>Location</Location>
+    <Transform>1 0 0 0 0 1 0 0 0 0 1 0 -0.391 -0.7548 0.00308 1</Transform>
+    <Reference>
+      <Type>STL</Type>
+      <Location>./object/NodeGroup_recscase_Outlet.stl</Location>
+    </Reference>
+    <Reference>
+      <Type>VRML</Type>
+      <Location>./object/NodeGroup_recscase_Outlet.wrl</Location>
     </Reference>
   </Outlet>
@@ -46,8 +62,12 @@
     <Label>Outlet_4</Label>
     <Type>Fan</Type>
-    <Transform>Transform</Transform>
-    <Reference>
-      <Type>VRML</Type>
-      <Location>Location</Location>
+    <Transform>1 0 0 0 0 1 0 0 0 0 1 0 -0.391 -0.6448 0.00308 1</Transform>
+    <Reference>
+      <Type>STL</Type>
+      <Location>./object/NodeGroup_recscase_Outlet.stl</Location>
+    </Reference>
+    <Reference>
+      <Type>VRML</Type>
+      <Location>./object/NodeGroup_recscase_Outlet.wrl</Location>
     </Reference>
   </Outlet>
@@ -55,8 +75,12 @@
     <Label>Outlet_5</Label>
     <Type>Fan</Type>
-    <Transform>Transform</Transform>
-    <Reference>
-      <Type>VRML</Type>
-      <Location>Location</Location>
+    <Transform>1 0 0 0 0 1 0 0 0 0 1 0 -0.391 -0.5348 0.00308 1</Transform>
+    <Reference>
+      <Type>STL</Type>
+      <Location>./object/NodeGroup_recscase_Outlet.stl</Location>
+    </Reference>
+    <Reference>
+      <Type>VRML</Type>
+      <Location>./object/NodeGroup_recscase_Outlet.wrl</Location>
     </Reference>
   </Outlet>
@@ -64,8 +88,8 @@
     <Label>Outlet_6</Label>
     <Type>Fan</Type>
-    <Transform>Transform</Transform>
-    <Reference>
-      <Type>VRML</Type>
-      <Location>Location</Location>
+    <Transform>1 0 0 0 0 1 0 0 0 0 1 0 -0.391 -0.4248 0.00308 1</Transform>
+    <Reference>
+      <Type>STL</Type>
+      <Location>./object/NodeGroup_recscase_Outlet.stl</Location>
     </Reference>
   </Outlet>
@@ -73,8 +97,12 @@
     <Label>Outlet_7</Label>
     <Type>Fan</Type>
-    <Transform>Transform</Transform>
-    <Reference>
-      <Type>VRML</Type>
-      <Location>Location</Location>
+    <Transform>1 0 0 0 0 1 0 0 0 0 1 0 -0.391 -0.3148 0.00308 1</Transform>
+    <Reference>
+      <Type>STL</Type>
+      <Location>./object/NodeGroup_recscase_Outlet.stl</Location>
+    </Reference>
+    <Reference>
+      <Type>VRML</Type>
+      <Location>./object/NodeGroup_recscase_Outlet.wrl</Location>
     </Reference>
   </Outlet>
@@ -82,8 +110,12 @@
     <Label>Outlet_8</Label>
     <Type>Fan</Type>
-    <Transform>Transform</Transform>
-    <Reference>
-      <Type>VRML</Type>
-      <Location>Location</Location>
+    <Transform>1 0 0 0 0 1 0 0 0 0 1 0 -0.391 -0.2048 0.00308 1</Transform>
+    <Reference>
+      <Type>STL</Type>
+      <Location>./object/NodeGroup_recscase_Outlet.stl</Location>
+    </Reference>
+    <Reference>
+      <Type>VRML</Type>
+      <Location>./object/NodeGroup_recscase_Outlet.wrl</Location>
     </Reference>
   </Outlet>
@@ -91,8 +123,12 @@
     <Label>Outlet_9</Label>
     <Type>Fan</Type>
-    <Transform>Transform</Transform>
-    <Reference>
-      <Type>VRML</Type>
-      <Location>Location</Location>
+    <Transform>1 0 0 0 0 1 0 0 0 0 1 0 -0.391 -0.0948 0.00308 1</Transform>
+    <Reference>
+      <Type>STL</Type>
+      <Location>./object/NodeGroup_recscase_Outlet.stl</Location>
+    </Reference>
+    <Reference>
+      <Type>VRML</Type>
+      <Location>./object/NodeGroup_recscase_Outlet.wrl</Location>
     </Reference>
   </Outlet>
@@ -100,8 +136,12 @@
     <Label>Inlet_1</Label>
     <Type>Fan</Type>
-    <Transform>Transform</Transform>
-    <Reference>
-      <Type>VRML</Type>
-      <Location>Location</Location>
+    <Transform>1 0 0 0 0 1 0 0 0 0 1 0 -0.023 -0.9748 0.00308 1</Transform>
+    <Reference>
+      <Type>STL</Type>
+      <Location>./object/NodeGroup_recscase_Outlet.stl</Location>
+    </Reference>
+    <Reference>
+      <Type>VRML</Type>
+      <Location>./object/NodeGroup_recscase_Outlet.wrl</Location>
     </Reference>
   </Outlet>
@@ -109,8 +149,12 @@
     <Label>Inlet_2</Label>
     <Type>Fan</Type>
-    <Transform>Transform</Transform>
-    <Reference>
-      <Type>VRML</Type>
-      <Location>Location</Location>
+    <Transform>1 0 0 0 0 1 0 0 0 0 1 0 -0.023 -0.8648 0.00308 1</Transform>
+    <Reference>
+      <Type>STL</Type>
+      <Location>./object/NodeGroup_recscase_Outlet.stl</Location>
+    </Reference>
+    <Reference>
+      <Type>VRML</Type>
+      <Location>./object/NodeGroup_recscase_Outlet.wrl</Location>
     </Reference>
   </Outlet>
@@ -118,8 +162,12 @@
     <Label>Inlet_3</Label>
     <Type>Fan</Type>
-    <Transform>Transform</Transform>
-    <Reference>
-      <Type>VRML</Type>
-      <Location>Location</Location>
+    <Transform>1 0 0 0 0 1 0 0 0 0 1 0 -0.023 -0.7548 0.00308 1</Transform>
+    <Reference>
+      <Type>STL</Type>
+      <Location>./object/NodeGroup_recscase_Outlet.stl</Location>
+    </Reference>
+    <Reference>
+      <Type>VRML</Type>
+      <Location>./object/NodeGroup_recscase_Outlet.wrl</Location>
     </Reference>
   </Outlet>
@@ -127,8 +175,12 @@
     <Label>Inlet_4</Label>
     <Type>Fan</Type>
-    <Transform>Transform</Transform>
-    <Reference>
-      <Type>VRML</Type>
-      <Location>Location</Location>
+    <Transform>1 0 0 0 0 1 0 0 0 0 1 0 -0.023 -0.6448 0.00308 1</Transform>
+    <Reference>
+      <Type>STL</Type>
+      <Location>./object/NodeGroup_recscase_Outlet.stl</Location>
+    </Reference>
+    <Reference>
+      <Type>VRML</Type>
+      <Location>./object/NodeGroup_recscase_Outlet.wrl</Location>
     </Reference>
   </Outlet>
@@ -136,8 +188,12 @@
     <Label>Inlet_5</Label>
     <Type>Fan</Type>
-    <Transform>Transform</Transform>
-    <Reference>
-      <Type>VRML</Type>
-      <Location>Location</Location>
+    <Transform>1 0 0 0 0 1 0 0 0 0 1 0 -0.023 -0.5348 0.00308 1</Transform>
+    <Reference>
+      <Type>STL</Type>
+      <Location>./object/NodeGroup_recscase_Outlet.stl</Location>
+    </Reference>
+    <Reference>
+      <Type>VRML</Type>
+      <Location>./object/NodeGroup_recscase_Outlet.wrl</Location>
     </Reference>
   </Outlet>
@@ -145,8 +201,12 @@
     <Label>Inlet_6</Label>
     <Type>Fan</Type>
-    <Transform>Transform</Transform>
-    <Reference>
-      <Type>VRML</Type>
-      <Location>Location</Location>
+    <Transform>1 0 0 0 0 1 0 0 0 0 1 0 -0.023 -0.4248 0.00308 1</Transform>
+    <Reference>
+      <Type>STL</Type>
+      <Location>./object/NodeGroup_recscase_Outlet.stl</Location>
+    </Reference>
+    <Reference>
+      <Type>VRML</Type>
+      <Location>./object/NodeGroup_recscase_Outlet.wrl</Location>
     </Reference>
   </Outlet>
@@ -154,8 +214,12 @@
     <Label>Inlet_7</Label>
     <Type>Fan</Type>
-    <Transform>Transform</Transform>
-    <Reference>
-      <Type>VRML</Type>
-      <Location>Location</Location>
+    <Transform>1 0 0 0 0 1 0 0 0 0 1 0 -0.023 -0.3148 0.00308 1</Transform>
+    <Reference>
+      <Type>STL</Type>
+      <Location>./object/NodeGroup_recscase_Outlet.stl</Location>
+    </Reference>
+    <Reference>
+      <Type>VRML</Type>
+      <Location>./object/NodeGroup_recscase_Outlet.wrl</Location>
     </Reference>
   </Outlet>
@@ -163,11 +227,26 @@
     <Label>Inlet_8</Label>
     <Type>Fan</Type>
-    <Transform>Transform</Transform>
-    <Reference>
-      <Type>VRML</Type>
-      <Location>Location</Location>
-    </Reference>
-  </Outlet>
-  <Outlet>
+    <Transform>1 0 0 0 0 1 0 0 0 0 1 0 -0.023 -0.2048 0.00308 1</Transform>
+    <Reference>
+      <Type>STL</Type>
+      <Location>./object/NodeGroup_recscase_Outlet.stl</Location>
+    </Reference>
+    <Reference>
+      <Type>VRML</Type>
+      <Location>./object/NodeGroup_recscase_Outlet.wrl</Location>
+    </Reference>
+  </Outlet>
+  <Outlet>
+    <Label>Inlet_9</Label>
+    <Type>Fan</Type>
+    <Transform>1 0 0 0 0 1 0 0 0 0 1 0 -0.023 -0.0948 0.00308 1</Transform>
+    <Reference>
+      <Type>STL</Type>
+      <Location>./object/NodeGroup_recscase_Outlet.stl</Location>
+    </Reference>
+    <Reference>
+      <Type>VRML</Type>
+      <Location>./object/NodeGroup_recscase_Outlet.wrl</Location>
+    </Reference>
   </Outlet>
   <Connector>
@@ -178,108 +257,108 @@
     <Number>1</Number>
     <ConnectorType>ComExpress Type 2</ConnectorType>
-    <Label>Slot_1</Label>
-    <Transform>0 1 0 0 -1 0 0 0 0 0 1 0 0.175 0.084 0.005 1</Transform>
+    <Label>Node_1</Label>
+    <Transform>0 -1 0 0 1 0 0 0 0 0 1 0 -0.245 -1.062 0.005 1</Transform>
   </Slot>
   <Slot>
     <Number>2</Number>
     <ConnectorType>ComExpress Type 2</ConnectorType>
-    <Label>Slot_3</Label>
-    <Transform>0 1 0 0 -1 0 0 0 0 0 1 0 0.175 0.194 0.005 1</Transform>
+    <Label>Node_2</Label>
+    <Transform>0 -1 0 0 1 0 0 0 0 0 1 0 -0.245 -0.962 0.005 1</Transform>
   </Slot>
   <Slot>
     <Number>3</Number>
     <ConnectorType>ComExpress Type 2</ConnectorType>
-    <Label>Slot_3</Label>
-    <Transform>0 1 0 0 -1 0 0 0 0 0 1 0 0.175 0.304 0.005 1</Transform>
+    <Label>Node_3</Label>
+    <Transform>0 -1 0 0 1 0 0 0 0 0 1 0 -0.245 -0.852 0.005 1</Transform>
   </Slot>
   <Slot>
     <Number>4</Number>
     <ConnectorType>ComExpress Type 2</ConnectorType>
-    <Label>Slot_4</Label>
-    <Transform>0 1 0 0 -1 0 0 0 0 0 1 0 0.175 0.414 0.005 1</Transform>
+    <Label>Node_4</Label>
+    <Transform>0 -1 0 0 1 0 0 0 0 0 1 0 -0.245 -0.742 0.005 1</Transform>
   </Slot>
   <Slot>
     <Number>5</Number>
     <ConnectorType>ComExpress Type 2</ConnectorType>
-    <Label>Slot_5</Label>
-    <Transform>0 1 0 0 -1 0 0 0 0 0 1 0 0.175 0.524 0.005 1</Transform>
+    <Label>Node_5</Label>
+    <Transform>0 -1 0 0 1 0 0 0 0 0 1 0 -0.245 -0.632 0.005 1</Transform>
   </Slot>
   <Slot>
     <Number>6</Number>
     <ConnectorType>ComExpress Type 2</ConnectorType>
-    <Label>Slot_6</Label>
-    <Transform>0 1 0 0 -1 0 0 0 0 0 1 0 0.175 0.634 0.005 1</Transform>
+    <Label>Node_6</Label>
+    <Transform>0 -1 0 0 1 0 0 0 0 0 1 0 -0.245 -0.522 0.005 1</Transform>
   </Slot>
   <Slot>
     <Number>7</Number>
     <ConnectorType>ComExpress Type 2</ConnectorType>
-    <Label>Slot_7</Label>
-    <Transform>0 1 0 0 -1 0 0 0 0 0 1 0 0.175 0.744 0.005 1</Transform>
+    <Label>Node_7</Label>
+    <Transform>0 -1 0 0 1 0 0 0 0 0 1 0 -0.245 -0.412 0.005 1</Transform>
   </Slot>
   <Slot>
     <Number>8</Number>
     <ConnectorType>ComExpress Type 2</ConnectorType>
-    <Label>Slot_8</Label>
-    <Transform>0 1 0 0 -1 0 0 0 0 0 1 0 0.175 0.854 0.005 1</Transform>
+    <Label>Node_8</Label>
+    <Transform>0 -1 0 0 1 0 0 0 0 0 1 0 -0.245 -0.302 0.005 1</Transform>
   </Slot>
   <Slot>
     <Number>9</Number>
     <ConnectorType>ComExpress Type 2</ConnectorType>
-    <Label>Slot_9</Label>
-    <Transform>0 1 0 0 -1 0 0 0 0 0 1 0 0.175 0.964 0.005 1</Transform>
+    <Label>Node_9</Label>
+    <Transform>0 -1 0 0 1 0 0 0 0 0 1 0 -0.245 -0.192 0.005 1</Transform>
   </Slot>
   <Slot>
     <Number>10</Number>
     <ConnectorType>ComExpress Type 2</ConnectorType>
-    <Label>Slot_10</Label>
-    <Transform>0 -1 0 0 1 0 0 0 0 0 1 0 0.245 0.192 0.005 1</Transform>
+    <Label>Node_10</Label>
+    <Transform>0 1 0 0 -1 0 0 0 0 0 1 0 -0.175 -0.084 0.005 1</Transform>
   </Slot>
   <Slot>
     <Number>11</Number>
     <ConnectorType>ComExpress Type 2</ConnectorType>
-    <Label>Slot_11</Label>
-    <Transform>0 -1 0 0 1 0 0 0 0 0 1 0 0.245 0.302 0.005 1</Transform>
+    <Label>Node_11</Label>
+    <Transform>0 1 0 0 -1 0 0 0 0 0 1 0 -0.175 -0.194 0.005 1</Transform>
   </Slot>
   <Slot>
     <Number>12</Number>
     <ConnectorType>ComExpress Type 2</ConnectorType>
-    <Label>Slot_12</Label>
-    <Transform>0 -1 0 0 1 0 0 0 0 0 1 0 0.245 0.412 0.005 1</Transform>
+    <Label>Node_12</Label>
+    <Transform>0 1 0 0 -1 0 0 0 0 0 1 0 -0.175 -0.304 0.005 1</Transform>
   </Slot>
   <Slot>
     <Number>13</Number>
     <ConnectorType>ComExpress Type 2</ConnectorType>
-    <Label>Slot_13</Label>
-    <Transform>0 -1 0 0 1 0 0 0 0 0 1 0 0.245 0.522 0.005 1</Transform>
+    <Label>Node_13</Label>
+    <Transform>0 1 0 0 -1 0 0 0 0 0 1 0 -0.175 -0.414 0.005 1</Transform>
   </Slot>
   <Slot>
     <Number>14</Number>
     <ConnectorType>ComExpress Type 2</ConnectorType>
-    <Label>Slot_14</Label>
-    <Transform>0 -1 0 0 1 0 0 0 0 0 1 0 0.245 0.632 0.005 1</Transform>
+    <Label>Node_14</Label>
+    <Transform>0 1 0 0 -1 0 0 0 0 0 1 0 -0.175 -0.524 0.005 1</Transform>
   </Slot>
   <Slot>
     <Number>15</Number>
     <ConnectorType>ComExpress Type 2</ConnectorType>
-    <Label>Slot_15</Label>
-    <Transform>0 -1 0 0 1 0 0 0 0 0 1 0 0.245 0.742 0.005 1</Transform>
+    <Label>Node_15</Label>
+    <Transform>0 1 0 0 -1 0 0 0 0 0 1 0 -0.175 -0.634 0.005 1</Transform>
   </Slot>
   <Slot>
     <Number>16</Number>
     <ConnectorType>ComExpress Type 2</ConnectorType>
-    <Label>Slot_16</Label>
-    <Transform>0 -1 0 0 1 0 0 0 0 0 1 0 0.245 0.852 0.005 1</Transform>
+    <Label>Node_16</Label>
+    <Transform>0 1 0 0 -1 0 0 0 0 0 1 0 -0.175 -0.744 0.005 1</Transform>
   </Slot>
   <Slot>
     <Number>17</Number>
     <ConnectorType>ComExpress Type 2</ConnectorType>
-    <Label>Slot_17</Label>
-    <Transform>0 -1 0 0 1 0 0 0 0 0 1 0 0.245 0.962 0.005 1</Transform>
+    <Label>Node_17</Label>
+    <Transform>0 1 0 0 -1 0 0 0 0 0 1 0 -0.175 -0.854 0.005 1</Transform>
   </Slot>
   <Slot>
     <Number>18</Number>
     <ConnectorType>ComExpress Type 2</ConnectorType>
-    <Label>Slot_18</Label>
-    <Transform>0 -1 0 0 1 0 0 0 0 0 1 0 0.245 1.062 0.005 1</Transform>
+    <Label>Node_18</Label>
+    <Transform>0 1 0 0 -1 0 0 0 0 0 1 0 -0.175 -0.964 0.005 1</Transform>
   </Slot>
 </xsd_1:NodeGroup>
Index: DCWoRMS/branches/coolemall/src/test/DEBBTranslator/xml/example/Component_Node_PSNC_i7-16GB-sandy.xml
===================================================================
--- DCWoRMS/branches/coolemall/src/test/DEBBTranslator/xml/example/Component_Node_PSNC_i7-16GB-sandy.xml	(revision 1087)
+++ DCWoRMS/branches/coolemall/src/test/DEBBTranslator/xml/example/Component_Node_PSNC_i7-16GB-sandy.xml	(revision 1087)
@@ -0,0 +1,48 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<xsd_1:Node xmlns:xsd_1="http://www.coolemall.eu/DEBBComponent" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://www.coolemall.eu/DEBBComponent DEBBComponents.xsd ">
+  <ComponentId>Node_psnc_i7-16GB-sandy</ComponentId>
+  <Label>node_i7-16GB-sandy</Label>
+  <Manufacturer>kontron</Manufacturer>
+  <Product>COMe-bSC2 i7-2715QE ECC</Product>
+  <MaxPower>40.0</MaxPower>
+  <Type>Node</Type>
+  <Transform>Transform</Transform>
+  <Reference>
+    <Type>STL</Type>
+    <Location>./object/NodeBoard_i7.stl</Location>
+  </Reference>
+  <Reference>
+    <Type>VRML</Type>
+    <Location>./object/NodeBoard_i7.wrl</Location>
+  </Reference>
+  <Heatsink>
+    <Label>Heatsink_1</Label>
+    <Type>Cooler</Type>
+    <Transform>0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1</Transform>
+    <Reference>
+      <Type>VRML</Type>
+      <Location>./object/NodeCooler_i7.wrl</Location>
+    </Reference>
+  </Heatsink>
+  <Connector>
+    <ConnectorType>COMExpress Type 2</ConnectorType>
+    <Label>COMExpress</Label>
+    <Transform>Transform</Transform>
+  </Connector>
+  <Baseboard>
+    <Manufacturer>kontron</Manufacturer>
+    <Product>COMe-bSC2</Product>
+    <Type>NodeBoard</Type>
+  </Baseboard>
+  <Processor>
+    <Label>cpu_1</Label>
+    <Manufacturer>Intel</Manufacturer>
+    <Product>i7-2715QE</Product>
+    <MaxClockSpeed>2100</MaxClockSpeed>
+    <Cores>4</Cores>
+    <TDP>45.0</TDP>
+  </Processor>
+  <Memory>
+    <Capacity>16384</Capacity>
+  </Memory>
+</xsd_1:Node>
Index: DCWoRMS/branches/coolemall/src/test/DEBBTranslator/xml/example/Component_Node_PSNC_FusionGT40N.xml
===================================================================
--- DCWoRMS/branches/coolemall/src/test/DEBBTranslator/xml/example/Component_Node_PSNC_FusionGT40N.xml	(revision 937)
+++ DCWoRMS/branches/coolemall/src/test/DEBBTranslator/xml/example/Component_Node_PSNC_FusionGT40N.xml	(revision 1087)
@@ -1,5 +1,5 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <xsd_1:Node xmlns:xsd_1="http://www.coolemall.eu/DEBBComponent" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://www.coolemall.eu/DEBBComponent DEBBComponents.xsd ">
-  <ComponentId>node_psnc_FusionGT40N</ComponentId>
+  <ComponentId>Node_psnc_FusionGT40N</ComponentId>
   <Label>node_FusionGT40N</Label>
   <Manufacturer>Congatec</Manufacturer>
@@ -9,16 +9,20 @@
   <Transform>Transform</Transform>
   <Reference>
+    <Type>STL</Type>
+    <Location>./object/NodeBoard_Core2Duo.stl</Location>
+  </Reference>
+  <Reference>
     <Type>VRML</Type>
-    <Location>./object/NodeBoard_FusionGT40N.wrl</Location>
+    <Location>./object/NodeBoard_Core2Duo.wrl</Location>
   </Reference>
   <Heatsink>
     <Label>Heatsink_1</Label>
     <Type>Cooler</Type>
-    <Transform>Transform</Transform>
+    <Transform>0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1</Transform>
     <Reference>
-      <Type>VRML</Type>
-      <Location>./object/NodeCooler_FusionGT40N.wrl</Location>
+      <Type>STL</Type>
+      <Location>./object/NodeCooler_Core2Duo.stl</Location>
     </Reference>
-  </Heatsink>
+    </Heatsink>
   <Connector>
     <ConnectorType>COMExpress Type 2</ConnectorType>
@@ -34,5 +38,5 @@
   </Baseboard>
   <Processor>
-    <Label>cpu_1</Label>
+    <Label>CPU_1</Label>
     <Manufacturer>AMD</Manufacturer>
     <Product>Fusion G-T40N</Product>
Index: DCWoRMS/branches/coolemall/src/test/DEBBTranslator/xml/example/Component_Node_PSNC_i7-16GB-ivy.xml
===================================================================
--- DCWoRMS/branches/coolemall/src/test/DEBBTranslator/xml/example/Component_Node_PSNC_i7-16GB-ivy.xml	(revision 1029)
+++ DCWoRMS/branches/coolemall/src/test/DEBBTranslator/xml/example/Component_Node_PSNC_i7-16GB-ivy.xml	(revision 1087)
@@ -1,6 +1,6 @@
 <?xml version="1.0" encoding="UTF-8"?>
-<xsd_1:Node xmlns:xsd_1="http://www.coolemall.eu/DEBBComponent" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://www.coolemall.eu/DEBBComponent ../DEBBComponents.xsd ">
-  <ComponentId>node_psnc_i7-16GB-ivy</ComponentId>
-  <Label>node_i7-16GB-sandy</Label>
+<xsd_1:Node xmlns:xsd_1="http://www.coolemall.eu/DEBBComponent" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://www.coolemall.eu/DEBBComponent DEBBComponents.xsd ">
+  <ComponentId>Node_psnc_i7-16GB-ivy</ComponentId>
+  <Label>node_i7-16GB-ivy</Label>
   <Manufacturer>kontron</Manufacturer>
   <Product>COMe-bSC6 i7-3615QE ECC</Product>
@@ -9,14 +9,18 @@
   <Transform>Transform</Transform>
   <Reference>
+    <Type>STL</Type>
+    <Location>./object/NodeBoard_i7.stl</Location>
+  </Reference>
+  <Reference>
     <Type>VRML</Type>
-    <Location>./object/NodeBoard_i7-16GB-ivy.wrl</Location>
+    <Location>./object/NodeBoard_i7.wrl</Location>
   </Reference>
   <Heatsink>
-    <Label>heatsink_1</Label>
+    <Label>Heatsink_1</Label>
     <Type>Cooler</Type>
-    <Transform>Transform</Transform>
+    <Transform>0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1</Transform>
     <Reference>
       <Type>VRML</Type>
-      <Location>./object/NodeCooler_i7-16GB-ivy.wrl</Location>
+      <Location>./object/NodeCooler_i7.wrl</Location>
     </Reference>
   </Heatsink>