Index: DCWoRMS/branches/coolemall/example/experiment10_result/Stats_Simulation 1_EnergyUsage.txt
===================================================================
--- DCWoRMS/branches/coolemall/example/experiment10_result/Stats_Simulation 1_EnergyUsage.txt	(revision 1109)
+++ DCWoRMS/branches/coolemall/example/experiment10_result/Stats_Simulation 1_EnergyUsage.txt	(revision 1109)
@@ -0,0 +1,36 @@
+RECS_Power;/testbed/psnc/hpc/hw/rack1/recs1/i7_0_01;1225666800000;40.0;
+RECS_Power;/testbed/psnc/hpc/hw/rack1/recs1/i7_0_01;1225699200000;40.0;
+RECS_Power;/testbed/psnc/hpc/hw/rack1/recs1/i7_0_02;1225666800000;40.0;
+RECS_Power;/testbed/psnc/hpc/hw/rack1/recs1/i7_0_02;1225699200000;40.0;
+RECS_Power;/testbed/psnc/hpc/hw/rack1/recs1/i7_0_03;1225666800000;40.0;
+RECS_Power;/testbed/psnc/hpc/hw/rack1/recs1/i7_0_03;1225699200000;40.0;
+RECS_Power;/testbed/psnc/hpc/hw/rack1/recs1/i7_0_04;1225666800000;40.0;
+RECS_Power;/testbed/psnc/hpc/hw/rack1/recs1/i7_0_04;1225699200000;40.0;
+RECS_Power;/testbed/psnc/hpc/hw/rack1/recs1/i7_0_05;1225666800000;40.0;
+RECS_Power;/testbed/psnc/hpc/hw/rack1/recs1/i7_0_05;1225699200000;40.0;
+RECS_Power;/testbed/psnc/hpc/hw/rack1/recs1/i7_0_06;1225666800000;40.0;
+RECS_Power;/testbed/psnc/hpc/hw/rack1/recs1/i7_0_06;1225699200000;40.0;
+RECS_Power;/testbed/psnc/hpc/hw/rack1/recs1/i7_0_07;1225666800000;40.0;
+RECS_Power;/testbed/psnc/hpc/hw/rack1/recs1/i7_0_07;1225699200000;40.0;
+RECS_Power;/testbed/psnc/hpc/hw/rack1/recs1/i7_0_08;1225666800000;40.0;
+RECS_Power;/testbed/psnc/hpc/hw/rack1/recs1/i7_0_08;1225699200000;40.0;
+RECS_Power;/testbed/psnc/hpc/hw/rack1/recs1/i7_0_09;1225666800000;40.0;
+RECS_Power;/testbed/psnc/hpc/hw/rack1/recs1/i7_0_09;1225699200000;40.0;
+RECS_Power;/testbed/psnc/hpc/hw/rack1/recs1/i7_0_10;1225666800000;40.0;
+RECS_Power;/testbed/psnc/hpc/hw/rack1/recs1/i7_0_10;1225699200000;40.0;
+RECS_Power;/testbed/psnc/hpc/hw/rack1/recs1/i7_0_11;1225666800000;40.0;
+RECS_Power;/testbed/psnc/hpc/hw/rack1/recs1/i7_0_11;1225699200000;40.0;
+RECS_Power;/testbed/psnc/hpc/hw/rack1/recs1/i7_0_12;1225666800000;40.0;
+RECS_Power;/testbed/psnc/hpc/hw/rack1/recs1/i7_0_12;1225699200000;40.0;
+RECS_Power;/testbed/psnc/hpc/hw/rack1/recs1/i7_0_13;1225666800000;40.0;
+RECS_Power;/testbed/psnc/hpc/hw/rack1/recs1/i7_0_13;1225699200000;40.0;
+RECS_Power;/testbed/psnc/hpc/hw/rack1/recs1/i7_0_14;1225666800000;40.0;
+RECS_Power;/testbed/psnc/hpc/hw/rack1/recs1/i7_0_14;1225699200000;40.0;
+RECS_Power;/testbed/psnc/hpc/hw/rack1/recs1/i7_0_15;1225666800000;40.0;
+RECS_Power;/testbed/psnc/hpc/hw/rack1/recs1/i7_0_15;1225699200000;40.0;
+RECS_Power;/testbed/psnc/hpc/hw/rack1/recs1/i7_0_16;1225666800000;40.0;
+RECS_Power;/testbed/psnc/hpc/hw/rack1/recs1/i7_0_16;1225699200000;40.0;
+RECS_Power;/testbed/psnc/hpc/hw/rack1/recs1/i7_0_17;1225666800000;40.0;
+RECS_Power;/testbed/psnc/hpc/hw/rack1/recs1/i7_0_17;1225699200000;40.0;
+RECS_Power;/testbed/psnc/hpc/hw/rack1/recs1/i7_0_18;1225666800000;40.0;
+RECS_Power;/testbed/psnc/hpc/hw/rack1/recs1/i7_0_18;1225699200000;40.0;
Index: DCWoRMS/branches/coolemall/example/experiment10_result/Stats_Simulation 1_ResourceUtilization.txt
===================================================================
--- DCWoRMS/branches/coolemall/example/experiment10_result/Stats_Simulation 1_ResourceUtilization.txt	(revision 1109)
+++ DCWoRMS/branches/coolemall/example/experiment10_result/Stats_Simulation 1_ResourceUtilization.txt	(revision 1109)
@@ -0,0 +1,20 @@
+CPU_Load;/testbed/psnc/hpc/hw/rack1/recs1/i7_0_01/Processor_0;1225666800000;1.0;
+CPU_Load;/testbed/psnc/hpc/hw/rack1/recs1/i7_0_01/Processor_0;1225677600000;0.0;
+CPU_Load;/testbed/psnc/hpc/hw/rack1/recs1/i7_0_03/Processor_2;1225666800000;1.0;
+CPU_Load;/testbed/psnc/hpc/hw/rack1/recs1/i7_0_03/Processor_2;1225674000000;0.0;
+CPU_Load;/testbed/psnc/hpc/hw/rack1/recs1/i7_0_05/Processor_4;1225670400000;1.0;
+CPU_Load;/testbed/psnc/hpc/hw/rack1/recs1/i7_0_05/Processor_4;1225677600000;0.0;
+CPU_Load;/testbed/psnc/hpc/hw/rack1/recs1/i7_0_07/Processor_6;1225666800000;1.0;
+CPU_Load;/testbed/psnc/hpc/hw/rack1/recs1/i7_0_07/Processor_6;1225674000000;0.0;
+CPU_Load;/testbed/psnc/hpc/hw/rack1/recs1/i7_0_08/Processor_7;1225666800000;1.0;
+CPU_Load;/testbed/psnc/hpc/hw/rack1/recs1/i7_0_08/Processor_7;1225681200000;0.0;
+CPU_Load;/testbed/psnc/hpc/hw/rack1/recs1/i7_0_09/Processor_8;1225666800000;1.0;
+CPU_Load;/testbed/psnc/hpc/hw/rack1/recs1/i7_0_09/Processor_8;1225677600000;0.0;
+CPU_Load;/testbed/psnc/hpc/hw/rack1/recs1/i7_0_10/Processor_9;1225666800000;1.0;
+CPU_Load;/testbed/psnc/hpc/hw/rack1/recs1/i7_0_10/Processor_9;1225677600000;0.0;
+CPU_Load;/testbed/psnc/hpc/hw/rack1/recs1/i7_0_11/Processor_10;1225666800000;1.0;
+CPU_Load;/testbed/psnc/hpc/hw/rack1/recs1/i7_0_11/Processor_10;1225674000000;0.0;
+CPU_Load;/testbed/psnc/hpc/hw/rack1/recs1/i7_0_14/Processor_13;1225688400000;1.0;
+CPU_Load;/testbed/psnc/hpc/hw/rack1/recs1/i7_0_14/Processor_13;1225699200000;0.0;
+CPU_Load;/testbed/psnc/hpc/hw/rack1/recs1/i7_0_15/Processor_14;1225666800000;1.0;
+CPU_Load;/testbed/psnc/hpc/hw/rack1/recs1/i7_0_15/Processor_14;1225677600000;0.0;
Index: DCWoRMS/branches/coolemall/example/experiment10_result/Stats_Simulation 1_Simulation.txt
===================================================================
--- DCWoRMS/branches/coolemall/example/experiment10_result/Stats_Simulation 1_Simulation.txt	(revision 1109)
+++ DCWoRMS/branches/coolemall/example/experiment10_result/Stats_Simulation 1_Simulation.txt	(revision 1109)
@@ -0,0 +1,14 @@
+Resource name;mean;stdev;variance;minimum;maximum;sum;count;
+Delayed tasks;0;0;0;0;0;0;1;
+Failed requests (tasks);0;0;0;0;0;0;1;
+Makespan;32,400;0;0;32,400;32,400;32,400;1;
+Resources queue length;0.667;0;0;0.667;0.667;0.667;1;
+Resources total load;0.167;0;0;0.167;0.167;0.167;1;
+Energy usage;15,480;0;0;15,480;15,480;15,480;1;
+Task completion time;12,240;7,054.53;49,766,400;7,200;32,400;122,400;10;
+Task execution time;9,720;2,305.125;5,313,600;7,200;14,400;97,200;10;
+Task start time;0;0;0;0;0;0;10;
+Task flow time;9,720;2,305.125;5,313,600;7,200;14,400;97,200;10;
+Task waiting time;0;0;0;0;0;0;10;
+Task lateness;0;0;0;0;0;0;10;
+Task tardiness;0;0;0;0;0;0;10;
Index: DCWoRMS/branches/coolemall/example/experiment10_result/Stats_Simulation 1_Tasks.txt
===================================================================
--- DCWoRMS/branches/coolemall/example/experiment10_result/Stats_Simulation 1_Tasks.txt	(revision 1109)
+++ DCWoRMS/branches/coolemall/example/experiment10_result/Stats_Simulation 1_Tasks.txt	(revision 1109)
@@ -0,0 +1,11 @@
+JobID;TaskID;UserDN;ResName;CpuCnt;ExecStartDate;ExecFinishDate;ExecEndDate;GB_SubDate;LB_SubDate;CompletionTime;ExecStartTime;ExecutionTime;ReadyTime;StartTime;FlowTime;WaitingTime;GQ_WaitingTime;Lateness;Tardiness;ReservStartDate;ReservFinishDate;ProcessorName;Energy;
+0;0;-1;cluster;1;1225666800;1225674000;1225674000;1225666800;1225666800;7200;0;7200;0;0;7200;0;0;0;0;0;0;null;
+1;0;-1;cluster;1;1225666800;1225677600;1225677600;1225666800;1225666800;10800;0;10800;0;0;10800;0;0;0;0;0;0;null;
+2;0;-1;cluster;1;1225666800;1225674000;1225674000;1225666800;1225666800;7200;0;7200;0;0;7200;0;0;0;0;0;0;null;
+3;0;-1;cluster;1;1225666800;1225677600;1225677600;1225666800;1225666800;10800;0;10800;0;0;10800;0;0;0;0;0;0;null;
+4;0;-1;cluster;1;1225666800;1225674000;1225674000;1225666800;1225666800;7200;0;7200;0;0;7200;0;0;0;0;0;0;null;
+5;0;-1;cluster;1;1225666800;1225677600;1225677600;1225666800;1225666800;10800;0;10800;0;0;10800;0;0;0;0;0;0;null;
+6;0;-1;cluster;1;1225666800;1225681200;1225681200;1225666800;1225666800;14400;0;14400;0;0;14400;0;0;0;0;0;0;null;
+7;0;-1;cluster;1;1225666800;1225677600;1225677600;1225666800;1225666800;10800;0;10800;0;0;10800;0;0;0;0;0;0;null;
+8;0;-1;cluster;1;1225670400;1225677600;1225677600;1225670400;1225670400;10800;3600;7200;3600;0;7200;0;0;0;0;0;0;null;
+9;0;-1;cluster;1;1225688400;1225699200;1225699200;1225688400;1225688400;32400;21600;10800;21600;0;10800;0;0;0;0;0;0;null;
Index: DCWoRMS/branches/coolemall/example/experiment10_result/experiment.properties
===================================================================
--- DCWoRMS/branches/coolemall/example/experiment10_result/experiment.properties	(revision 1109)
+++ DCWoRMS/branches/coolemall/example/experiment10_result/experiment.properties	(revision 1109)
@@ -0,0 +1,27 @@
+# Use single *.swf file as workload description.
+
+# Path to xml file which describes resource characteristics.
+resdesc=example/experiment10/DCWORMS_PLMXML_PSNC_RECS_1_IntegrationOnly.xml
+
+# and swf file, which name is declared by readscenario.workloadfilename parameter.
+# Swf file must be placed in readscenario.inputfolder directory.  
+readscenario.inputfolder=example/experiment10/workload
+readscenario.workloadfilename=workload.swf
+
+# Choose directory where all result files should be placed.
+stats.outputfolder=../../experiment10_result
+
+# Define the type and content of charts to generate
+
+# Gantt chart
+creatediagrams.gantt=true
+
+# Shows the execution times of tasks
+creatediagrams.tasks=false
+
+# Shows the waiting times of tasks
+creatediagrams.taskswaitingtime=false
+
+creatediagrams.respowerusage=DataCenter
+# Resource utilization chart - only for processors
+#creatediagrams.resutilization=Processor
Index: DCWoRMS/branches/coolemall/example/experiment10_result/Stats_Simulation 1_Jobs.txt
===================================================================
--- DCWoRMS/branches/coolemall/example/experiment10_result/Stats_Simulation 1_Jobs.txt	(revision 1109)
+++ DCWoRMS/branches/coolemall/example/experiment10_result/Stats_Simulation 1_Jobs.txt	(revision 1109)
@@ -0,0 +1,11 @@
+jobID;meanTaskCompletionTime;meanTaskExecutionTime;meanTaskStartTime;meanTaskFlowTime;meanTaskWaitingTime;meanTaskGQ_WaitingTime;lateness;tardiness;makespan;
+0;7,200;7,200;0;7,200;0;0;0;0;7,200;
+1;10,800;10,800;0;10,800;0;0;0;0;10,800;
+2;7,200;7,200;0;7,200;0;0;0;0;7,200;
+3;10,800;10,800;0;10,800;0;0;0;0;10,800;
+4;7,200;7,200;0;7,200;0;0;0;0;7,200;
+5;10,800;10,800;0;10,800;0;0;0;0;10,800;
+6;14,400;14,400;0;14,400;0;0;0;0;14,400;
+7;10,800;10,800;0;10,800;0;0;0;0;10,800;
+8;10,800;7,200;0;7,200;0;0;0;0;10,800;
+9;32,400;10,800;0;10,800;0;0;0;0;32,400;