Index: DCWoRMS/branches/coolemall/src/test/article_result/Stats_Simulation 1_ResourceUtilization.txt
===================================================================
--- DCWoRMS/branches/coolemall/src/test/article_result/Stats_Simulation 1_ResourceUtilization.txt	(revision 883)
+++ DCWoRMS/branches/coolemall/src/test/article_result/Stats_Simulation 1_ResourceUtilization.txt	(revision 1121)
@@ -1,75 +1,61 @@
-resourceName;timestamp;utilization;
-compRes;1225666800000;0.444;
-compRes;1225668340000;0.389;
-compRes;1225670400000;0.444;
-compRes;1225672840000;0.278;
-compRes;1225677380000;0.167;
-compRes;1225680980000;0.111;
-compRes;1225682520000;0.056;
-compRes;1225688400000;0.111;
-compRes;1225689780000;0.056;
-compRes;1225692000000;0.111;
-compRes;1225700520000;0.056;
-compRes;1225704120000;0;
-compRes;1225706400000;0.056;
-compRes;1225713600000;0.111;
-compRes;1225716980000;0.056;
-compRes;1225720000000;0;
-mean: 0.1371345029239766
+utlization;compRes;1225666800000;0,444;
+utlization;compRes;1225668340000;0,389;
+utlization;compRes;1225670400000;0,444;
+utlization;compRes;1225672520000;0,389;
+utlization;compRes;1225672840000;0,278;
+utlization;compRes;1225673200000;0,222;
+utlization;compRes;1225677380000;0,111;
+utlization;compRes;1225680980000;0,056;
+utlization;compRes;1225682520000;0;
+utlization;compRes;1225688400000;0,056;
+utlization;compRes;1225691540000;0;
+utlization;compRes;1225692000000;0,056;
+utlization;compRes;1225706180000;0;
+utlization;compRes;1225706400000;0,056;
+utlization;compRes;1225713600000;0,111;
+utlization;compRes;1225716980000;0,056;
+utlization;compRes;1225720000000;0;
+
+
+
+utlization;compRes/ComputingNode_2;1225666800000;1;
+utlization;compRes/ComputingNode_2;1225668340000;0;
+
+utlization;compRes/ComputingNode_3;1225666800000;1;
+utlization;compRes/ComputingNode_3;1225677380000;0;
+utlization;compRes/ComputingNode_3;1225688400000;1;
+utlization;compRes/ComputingNode_3;1225691540000;0;
+
+utlization;compRes/ComputingNode_4;1225666800000;1;
+utlization;compRes/ComputingNode_4;1225673200000;0;
+
+
+utlization;compRes/ComputingNode_6;1225706400000;1;
+utlization;compRes/ComputingNode_6;1225716980000;0;
+
+utlization;compRes/ComputingNode_7;1225666800000;1;
+utlization;compRes/ComputingNode_7;1225677380000;0;
+utlization;compRes/ComputingNode_7;1225713600000;1;
+utlization;compRes/ComputingNode_7;1225720000000;0;
+
+utlization;compRes/ComputingNode_8;1225670400000;1;
+utlization;compRes/ComputingNode_8;1225682520000;0;
+
+
+utlization;compRes/ComputingNode_10;1225666800000;1;
+utlization;compRes/ComputingNode_10;1225672520000;0;
 
 
 
 
-
-ComputingNode_4;1225666800000;1;
-ComputingNode_4;1225668340000;0;
-ComputingNode_4;1225713600000;1;
-ComputingNode_4;1225720000000;0;
-mean: 0.14924812030075188
-
-ComputingNode_5;1225666800000;1;
-ComputingNode_5;1225677380000;0;
-mean: 0.1988721804511278
-
-ComputingNode_6;1225706400000;1;
-ComputingNode_6;1225716980000;0;
-mean: 0.1988721804511278
-
-ComputingNode_7;1225666800000;1;
-ComputingNode_7;1225677380000;0;
-mean: 0.1988721804511278
+utlization;compRes/ComputingNode_14;1225666800000;1;
+utlization;compRes/ComputingNode_14;1225680980000;0;
 
 
 
-ComputingNode_10;1225670400000;1;
-ComputingNode_10;1225682520000;0;
-ComputingNode_10;1225692000000;1;
-ComputingNode_10;1225704120000;0;
-mean: 0.4556390977443609
-
-ComputingNode_11;1225688400000;1;
-ComputingNode_11;1225700520000;0;
-mean: 0.22781954887218045
-
-
-ComputingNode_13;1225666800000;1;
-ComputingNode_13;1225689780000;0;
-mean: 0.4319548872180451
-
-ComputingNode_14;1225666800000;1;
-ComputingNode_14;1225672840000;0;
-mean: 0.11353383458646617
-
-ComputingNode_15;1225666800000;1;
-ComputingNode_15;1225680980000;0;
-mean: 0.26654135338345863
-
-ComputingNode_16;1225666800000;1;
-ComputingNode_16;1225672840000;0;
-mean: 0.11353383458646617
-
-ComputingNode_17;1225666800000;1;
-ComputingNode_17;1225672840000;0;
-mean: 0.11353383458646617
+utlization;compRes/ComputingNode_17;1225666800000;2;
+utlization;compRes/ComputingNode_17;1225672840000;0;
+utlization;compRes/ComputingNode_17;1225692000000;1;
+utlization;compRes/ComputingNode_17;1225706180000;0;
 
 
Index: DCWoRMS/branches/coolemall/src/test/article_result/Stats_Simulation 1_Simulation.txt
===================================================================
--- DCWoRMS/branches/coolemall/src/test/article_result/Stats_Simulation 1_Simulation.txt	(revision 883)
+++ DCWoRMS/branches/coolemall/src/test/article_result/Stats_Simulation 1_Simulation.txt	(revision 1121)
@@ -2,12 +2,12 @@
 Delayed tasks;0;0;0;0;0;0;1;
 Failed requests (tasks);0;0;0;0;0;0;1;
-Makespan;53,200;0;0;53,200;53,200;53,200;1;
-Resources queue length;0.88;0;0;0.88;0.88;0.88;1;
-Resources total load;0.137;0;0;0.137;0.137;0.137;1;
-Energy usage;3,526.486;0;0;3,526.486;3,526.486;3,526.486;1;
-Task completion time;20,624.615;16,779.524;281,552,440.237;1,540;53,200;268,120;13;
-Task execution time;10,101.538;5,052.704;25,529,813.018;1,540;22,980;131,320;13;
+Makespan;53 200;0;0;53 200;53 200;53 200;1;
+Resources queue length;0,88;0;0;0,88;0,88;0,88;1;
+Resources total load;0,112;0;0;0,112;0,112;0,112;1;
+Energy usage;3 514,971;0;0;3 514,971;3 514,971;3 514,971;1;
+Task completion time;18 792,308;16 964,307;287 787 725,444;1 540;53 200;244 300;13;
+Task execution time;8 269,231;3 880,314;15 056 837,87;1 540;14 180;107 500;13;
 Task start time;0;0;0;0;0;0;13;
-Task flow time;10,101.538;5,052.704;25,529,813.018;1,540;22,980;131,320;13;
+Task flow time;8 269,231;3 880,314;15 056 837,87;1 540;14 180;107 500;13;
 Task waiting time;0;0;0;0;0;0;13;
 Task lateness;0;0;0;0;0;0;13;
Index: DCWoRMS/branches/coolemall/src/test/article_result/Stats_Simulation 1_Tasks.txt
===================================================================
--- DCWoRMS/branches/coolemall/src/test/article_result/Stats_Simulation 1_Tasks.txt	(revision 883)
+++ DCWoRMS/branches/coolemall/src/test/article_result/Stats_Simulation 1_Tasks.txt	(revision 1121)
@@ -1,14 +1,14 @@
 JobID;TaskID;UserDN;ResName;CpuCnt;ExecStartDate;ExecFinishDate;ExecEndDate;GB_SubDate;LB_SubDate;CompletionTime;ExecStartTime;ExecutionTime;ReadyTime;StartTime;FlowTime;WaitingTime;GQ_WaitingTime;Lateness;Tardiness;ReservStartDate;ReservFinishDate;ProcessorName;Energy;
 1;1;-1;cluster;1;1225666800;1225672840;1225672840;1225666800;1225666800;6040;0;6040;0;0;6040;0;0;0;0;0;0;[ComputingNode_17];
-2;2;-1;cluster;1;1225666800;1225672840;1225672840;1225666800;1225666800;6040;0;6040;0;0;6040;0;0;0;0;0;0;[ComputingNode_16];
-3;3;-1;cluster;1;1225666800;1225668340;1225668340;1225666800;1225666800;1540;0;1540;0;0;1540;0;0;0;0;0;0;[ComputingNode_4];
-4;4;-1;cluster;1;1225666800;1225680980;1225680980;1225666800;1225666800;14180;0;14180;0;0;14180;0;0;0;0;0;0;[ComputingNode_15];
-5;5;-1;cluster;1;1225666800;1225677380;1225677380;1225666800;1225666800;10580;0;10580;0;0;10580;0;0;0;0;0;0;[ComputingNode_5];
+2;2;-1;cluster;1;1225666800;1225672520;1225672520;1225666800;1225666800;5720;0;5720;0;0;5720;0;0;0;0;0;0;[ComputingNode_10];
+3;3;-1;cluster;1;1225666800;1225668340;1225668340;1225666800;1225666800;1540;0;1540;0;0;1540;0;0;0;0;0;0;[ComputingNode_2];
+4;4;-1;cluster;1;1225666800;1225680980;1225680980;1225666800;1225666800;14180;0;14180;0;0;14180;0;0;0;0;0;0;[ComputingNode_14];
+5;5;-1;cluster;1;1225666800;1225677380;1225677380;1225666800;1225666800;10580;0;10580;0;0;10580;0;0;0;0;0;0;[ComputingNode_3];
 6;6;-1;cluster;1;1225666800;1225677380;1225677380;1225666800;1225666800;10580;0;10580;0;0;10580;0;0;0;0;0;0;[ComputingNode_7];
-7;7;-1;cluster;1;1225666800;1225689780;1225689780;1225666800;1225666800;22980;0;22980;0;0;22980;0;0;0;0;0;0;[ComputingNode_13];
-8;8;-1;cluster;1;1225666800;1225672840;1225672840;1225666800;1225666800;6040;0;6040;0;0;6040;0;0;0;0;0;0;[ComputingNode_14];
-9;9;-1;cluster;1;1225670400;1225682520;1225682520;1225670400;1225670400;15720;3600;12120;3600;0;12120;0;0;0;0;0;0;[ComputingNode_10];
-10;10;-1;cluster;1;1225688400;1225700520;1225700520;1225688400;1225688400;33720;21600;12120;21600;0;12120;0;0;0;0;0;0;[ComputingNode_11];
-11;11;-1;cluster;1;1225692000;1225704120;1225704120;1225692000;1225692000;37320;25200;12120;25200;0;12120;0;0;0;0;0;0;[ComputingNode_10];
+7;7;-1;cluster;1;1225666800;1225673200;1225673200;1225666800;1225666800;6400;0;6400;0;0;6400;0;0;0;0;0;0;[ComputingNode_4];
+8;8;-1;cluster;1;1225666800;1225672840;1225672840;1225666800;1225666800;6040;0;6040;0;0;6040;0;0;0;0;0;0;[ComputingNode_17];
+9;9;-1;cluster;1;1225670400;1225682520;1225682520;1225670400;1225670400;15720;3600;12120;3600;0;12120;0;0;0;0;0;0;[ComputingNode_8];
+10;10;-1;cluster;1;1225688400;1225691540;1225691540;1225688400;1225688400;24740;21600;3140;21600;0;3140;0;0;0;0;0;0;[ComputingNode_3];
+11;11;-1;cluster;1;1225692000;1225706180;1225706180;1225692000;1225692000;39380;25200;14180;25200;0;14180;0;0;0;0;0;0;[ComputingNode_17];
 12;12;-1;cluster;1;1225706400;1225716980;1225716980;1225706400;1225706400;50180;39600;10580;39600;0;10580;0;0;0;0;0;0;[ComputingNode_6];
-13;13;-1;cluster;1;1225713600;1225720000;1225720000;1225713600;1225713600;53200;46800;6400;46800;0;6400;0;0;0;0;0;0;[ComputingNode_4];
+13;13;-1;cluster;1;1225713600;1225720000;1225720000;1225713600;1225713600;53200;46800;6400;46800;0;6400;0;0;0;0;0;0;[ComputingNode_7];