Index: DCWoRMS/branches/coolemall/src/simulator/utils/XsltTransformations.java
===================================================================
--- DCWoRMS/branches/coolemall/src/simulator/utils/XsltTransformations.java	(revision 490)
+++ DCWoRMS/branches/coolemall/src/simulator/utils/XsltTransformations.java	(revision 1131)
@@ -162,5 +162,5 @@
 		int end = 0;
 		
-		begin = xmlJob.indexOf("appId=") + 7;
+		begin = xmlJob.indexOf("id=") + 4;
 		end = xmlJob.indexOf("\"", begin);
 		String jobId = xmlJob.substring(begin, end);
@@ -178,5 +178,5 @@
 			end += 7;
 			String task = xmlJob.substring(begin, end);
-			tb = task.indexOf("taskId=") + 8;
+			tb = task.indexOf("id=") + 4;
 			te = task.indexOf("\"", tb);
 			taskId = task.substring(tb, te);
Index: DCWoRMS/branches/coolemall/src/simulator/workload/reader/xmlJob/QcgXmlJobReader.java
===================================================================
--- DCWoRMS/branches/coolemall/src/simulator/workload/reader/xmlJob/QcgXmlJobReader.java	(revision 477)
+++ DCWoRMS/branches/coolemall/src/simulator/workload/reader/xmlJob/QcgXmlJobReader.java	(revision 1131)
@@ -12,5 +12,4 @@
 
 
-import org.qcg.broker.schemas.jobdesc.QcgJob;
 
 /**
@@ -20,5 +19,5 @@
  */
 
-public class QcgXmlJobReader implements XMLJobReader<QcgJob> {
+public class QcgXmlJobReader implements XMLJobReader<org.qcg.broker.schemas.jobdesc.Job> {
 
 	protected static Unmarshaller unmarshaller;
@@ -65,13 +64,13 @@
 	}
 
-	public QcgJob read() throws IOException {
+	public org.qcg.broker.schemas.jobdesc.Job read() throws IOException {
 
 		String s = readRaw();
 		StringReader reader = new StringReader(s);
-		QcgJob job = null;
+		org.qcg.broker.schemas.jobdesc.Job job = null;
 		
 		try {
 		
-			job = (QcgJob) unmarshaller.unmarshal(reader);
+			job = (org.qcg.broker.schemas.jobdesc.Job) unmarshaller.unmarshal(reader);
 		
 		} catch (MarshalException e) {
Index: DCWoRMS/branches/coolemall/src/simulator/workload/reader/archive/AbstractWAReader.java
===================================================================
--- DCWoRMS/branches/coolemall/src/simulator/workload/reader/archive/AbstractWAReader.java	(revision 477)
+++ DCWoRMS/branches/coolemall/src/simulator/workload/reader/archive/AbstractWAReader.java	(revision 1131)
@@ -71,5 +71,5 @@
 	public static AbstractWAReader
 			<org.qcg.broker.schemas.jobdesc.Task, 
-			org.qcg.broker.schemas.jobdesc.QcgJob> getInstace(String fileName){
+			org.qcg.broker.schemas.jobdesc.Job> getInstace(String fileName){
 		
 		String name = fileName.trim().toLowerCase();
Index: DCWoRMS/branches/coolemall/src/simulator/workload/reader/archive/swf/QcgSWFJobReader.java
===================================================================
--- DCWoRMS/branches/coolemall/src/simulator/workload/reader/archive/swf/QcgSWFJobReader.java	(revision 883)
+++ DCWoRMS/branches/coolemall/src/simulator/workload/reader/archive/swf/QcgSWFJobReader.java	(revision 1131)
@@ -11,9 +11,12 @@
 import org.qcg.broker.schemas.jobdesc.ParameterTypeChoice;
 import org.qcg.broker.schemas.jobdesc.ParameterTypeChoiceItem;
+import org.qcg.broker.schemas.jobdesc.ParentType;
 import org.qcg.broker.schemas.jobdesc.ResourceRequirementsType;
 import org.qcg.broker.schemas.jobdesc.Value;
 import org.qcg.broker.schemas.jobdesc.RequirementsType;
+import org.qcg.broker.schemas.jobdesc.Workflow;
 import org.qcg.broker.schemas.jobdesc.types.ComputingParameterName;
 import org.qcg.broker.schemas.jobdesc.Task;
+import org.qcg.broker.schemas.jobdesc.types.TaskStatesName;
 
 import java.io.IOException;
@@ -115,5 +118,5 @@
 					currntJobID = data[SWFFields.DATA_FIELDS[i]];
 					String tab[] = this.waParser.getIDMapping(currntJobID);
-					task.setTaskId(tab[1]);
+					task.setId(tab[1]);
 					break;
 					
@@ -239,4 +242,9 @@
 					
 				case SWFFields.DATA_PRECEDING_JOB_NUMBER:
+					/*Workflow workflow = new Workflow();
+					ParentType parent = new ParentType();
+					parent.setTriggerState(TaskStatesName.FINISHED);
+					workflow.addParent(parent);
+					task.setWorkflow(workflow);*/
 					break;
 					
Index: DCWoRMS/branches/coolemall/src/simulator/workload/reader/archive/QcgWAJobReader.java
===================================================================
--- DCWoRMS/branches/coolemall/src/simulator/workload/reader/archive/QcgWAJobReader.java	(revision 883)
+++ DCWoRMS/branches/coolemall/src/simulator/workload/reader/archive/QcgWAJobReader.java	(revision 1131)
@@ -15,5 +15,4 @@
 
 import simulator.workload.reader.archive.swf.SWFFields;
-import org.qcg.broker.schemas.jobdesc.QcgJob;
 import org.qcg.broker.schemas.jobdesc.ResourceConsumptionProfileType;
 import org.qcg.broker.schemas.jobdesc.Task;
@@ -27,5 +26,5 @@
  */
 
-public abstract class QcgWAJobReader extends AbstractWAReader<Task, QcgJob> {
+public abstract class QcgWAJobReader extends AbstractWAReader<Task, org.qcg.broker.schemas.jobdesc.Job> {
 
 	protected String currntJobID;
@@ -58,5 +57,5 @@
 	}
 	
-	public QcgJob read() throws IOException {
+	public org.qcg.broker.schemas.jobdesc.Job read() throws IOException {
 		Task task = null;
 		
@@ -69,7 +68,7 @@
 		
 		
-		QcgJob job = new QcgJob();
+		org.qcg.broker.schemas.jobdesc.Job job = new org.qcg.broker.schemas.jobdesc.Job();
 		String appID = this.waParser.getIDMapping(currntJobID)[0];
-		job.setAppId(appID);
+		job.setId(appID);
 		
 		
@@ -88,5 +87,5 @@
 	
 	public String readRaw() throws IOException{
-		QcgJob job = null;
+		org.qcg.broker.schemas.jobdesc.Job job = null;
 		
 		if((job = read()) == null)
@@ -113,7 +112,7 @@
 		
 		StringReader reader = new StringReader(swfJobDesc);
-		QcgJob job = null;
+		org.qcg.broker.schemas.jobdesc.Job job = null;
 		try {
-			job = (QcgJob)unmarshaller.unmarshal(reader);
+			job = (org.qcg.broker.schemas.jobdesc.Job)unmarshaller.unmarshal(reader);
 		} catch (MarshalException e) {
 			// TODO Auto-generated catch block
Index: DCWoRMS/branches/coolemall/src/simulator/workload/reader/archive/gwf/QcgGWFJobReader.java
===================================================================
--- DCWoRMS/branches/coolemall/src/simulator/workload/reader/archive/gwf/QcgGWFJobReader.java	(revision 477)
+++ DCWoRMS/branches/coolemall/src/simulator/workload/reader/archive/gwf/QcgGWFJobReader.java	(revision 1131)
@@ -104,5 +104,5 @@
 					currntJobID = data[GWFFields.DATA_FIELDS[i]];
 					String tab[] = this.waParser.getIDMapping(currntJobID);
-					task.setTaskId(tab[1]);
+					task.setId(tab[1]);
 					break;
 					
Index: DCWoRMS/branches/coolemall/src/simulator/workload/generator/impl/QcgJobGenerator.java
===================================================================
--- DCWoRMS/branches/coolemall/src/simulator/workload/generator/impl/QcgJobGenerator.java	(revision 835)
+++ DCWoRMS/branches/coolemall/src/simulator/workload/generator/impl/QcgJobGenerator.java	(revision 1131)
@@ -42,5 +42,4 @@
 import org.qcg.broker.schemas.jobdesc.ParameterValueType;
 import org.qcg.broker.schemas.jobdesc.PreferencesType;
-import org.qcg.broker.schemas.jobdesc.QcgJob;
 import org.qcg.broker.schemas.jobdesc.RangeType;
 import org.qcg.broker.schemas.jobdesc.RequirementsType;
@@ -110,7 +109,7 @@
 			log.info("Generate xml suplement - start");
 		
-		WAReader<QcgJob> swfReader = AbstractWAReader.getInstace(waFileName);
+		WAReader<org.qcg.broker.schemas.jobdesc.Job> swfReader = AbstractWAReader.getInstace(waFileName);
 		WAParser swfParser = AbstractWAParser.getInstance(waFileName);
-		QcgJob qcgJob = null;
+		org.qcg.broker.schemas.jobdesc.Job qcgJob = null;
 		Task task = null;
 		Writer writer = null;
@@ -149,6 +148,6 @@
 				for(int i = 0; i < qcgJob.getTaskCount(); i++){
 					task = qcgJob.getTask(i);
-					this.randomNumbersWrapper.setCurrentJobId(qcgJob.getAppId());
-					this.randomNumbersWrapper.setCurrentTaskId(task.getTaskId());
+					this.randomNumbersWrapper.setCurrentJobId(qcgJob.getId());
+					this.randomNumbersWrapper.setCurrentTaskId(task.getId());
 					RequirementsType hardConstraints = createResourceRequirements(workload, task.getRequirements());
 					if(hardConstraints != null) {
@@ -158,5 +157,5 @@
 					
 					long submitTime = 0;
-					String sTab[] = swfParser.readTask(qcgJob.getAppId(), task.getTaskId());
+					String sTab[] = swfParser.readTask(qcgJob.getId(), task.getId());
 					if(sTab != null)
 						submitTime = startTime + Long.parseLong(sTab[SWFFields.DATA_SUBMIT_TIME]) * 1000;
@@ -173,5 +172,5 @@
 											File.separator + 
 											QcgJobFileNameFilter.FILE_NAME_PREFIX + 
-											qcgJob.getAppId() + 
+											qcgJob.getId() + 
 											".xml");
 					
@@ -206,5 +205,5 @@
 		File outputDirectory = prepareWorkloadDirectory(outputDirectoryName, overwriteExistingFiles);
 
-		SWFJobWriter<QcgJob> swfJobWriter = new QcgSWFJobWriter(outputDirectoryName, outputWorkloadFileName);
+		SWFJobWriter<org.qcg.broker.schemas.jobdesc.Job> swfJobWriter = new QcgSWFJobWriter(outputDirectoryName, outputWorkloadFileName);
 		swfJobWriter.writeFieldDescriptionHeader();
 		
@@ -253,8 +252,8 @@
 		
 		while (proceedConditionsAreFulfilled()) {
-			QcgJob QcgJob = new QcgJob();
+			org.qcg.broker.schemas.jobdesc.Job qcgJob = new org.qcg.broker.schemas.jobdesc.Job();
 			
 			String jobID = Integer.toString(generatedJobCount);
-			QcgJob.setAppId(jobID);
+			qcgJob.setId(jobID);
 			
 			//initially - a standard value
@@ -286,7 +285,7 @@
 			for (int taskNum = 0; taskNum < taskCountToBeGenerated; taskNum++) {
 				Task task = new Task();
-				QcgJob.addTask(task);
-				
-				task.setTaskId(String.valueOf(taskNum));
+				qcgJob.addTask(task);
+				
+				task.setId(String.valueOf(taskNum));
 				
 				// create section execution
@@ -304,5 +303,5 @@
 					try {
 						long l_taskLength = (long) getRandomValueFor(taskLength, parameterRandomNumbers);
-						swfJobWriter.addTaskLength(task.getTaskId(), l_taskLength);
+						swfJobWriter.addTaskLength(task.getId(), l_taskLength);
 					} catch (IllegalAccessException e) {
 						e.printStackTrace();
@@ -345,5 +344,5 @@
 
 			FileWriter taskWriter = new FileWriter(taskFile);
-			GSSimXML.marshal(QcgJob, taskWriter);
+			GSSimXML.marshal(qcgJob, taskWriter);
 			taskWriter.flush();
 			taskWriter.close();
@@ -351,5 +350,5 @@
 			//swfJobWriter.setJobSubmitTime(simulationVirtualTime);
 			swfJobWriter.setJobSubmitTime((simulationVirtualTime - simulationStartTime)/1000);
-			swfJobWriter.write(QcgJob);
+			swfJobWriter.write(qcgJob);
 			
 			generatedJobCount++;
Index: DCWoRMS/branches/coolemall/src/simulator/workload/WorkloadLoader.java
===================================================================
--- DCWoRMS/branches/coolemall/src/simulator/workload/WorkloadLoader.java	(revision 1082)
+++ DCWoRMS/branches/coolemall/src/simulator/workload/WorkloadLoader.java	(revision 1131)
@@ -1,5 +1,4 @@
 package simulator.workload;
 
-import org.qcg.broker.schemas.jobdesc.QcgJob;
 import org.qcg.broker.schemas.jobdesc.Task;
 
@@ -48,6 +47,6 @@
 	private static Log log = LogFactory.getLog(WorkloadLoader.class);
 	
-	protected XMLJobReader<QcgJob> xmlJobReader;
-	protected WAReader<QcgJob> waReader;
+	protected XMLJobReader<org.qcg.broker.schemas.jobdesc.Job> xmlJobReader;
+	protected WAReader<org.qcg.broker.schemas.jobdesc.Job> waReader;
 	protected WAParser localWAParser;
 	protected int generatedJobsCnt;
@@ -62,5 +61,5 @@
 	protected Map<String, JobDescription> jobProfilesMap;
 
-	public WorkloadLoader(XMLJobReader<QcgJob> xmlReader, WAReader<QcgJob> swfReader){
+	public WorkloadLoader(XMLJobReader<org.qcg.broker.schemas.jobdesc.Job> xmlReader, WAReader<org.qcg.broker.schemas.jobdesc.Job> swfReader){
 		if(swfReader == null){
 			throw new RuntimeException("Swf reader is required to build proper tasks.");
@@ -94,5 +93,5 @@
 		if(jobDescription.size() == 0){
 			if(log.isWarnEnabled())
-				log.warn("Omitting tasks creation for job "+jobDescription.getDescription().getAppId()+". This job contains no tasks.");
+				log.warn("Omitting tasks creation for job "+jobDescription.getDescription().getId()+". This job contains no tasks.");
 			return null;
 		}
@@ -195,5 +194,5 @@
 				else if (prevJobCnt == generatedJobsCnt){
 					Task taskPattern = job.getDescription().getTask(0);
-					this.jobProfilesMap.put(taskPattern.getTaskId(), job);
+					this.jobProfilesMap.put(taskPattern.getId(), job);
 				}
 			}
@@ -290,5 +289,5 @@
 		if(jobDescription.size() == 0){
 			if(log.isWarnEnabled())
-				log.warn("Omitting tasks creation for job "+jobDescription.getDescription().getAppId()+". This job contains no tasks.");
+				log.warn("Omitting tasks creation for job "+jobDescription.getDescription().getId()+". This job contains no tasks.");
 			return null;
 		}
Index: DCWoRMS/branches/coolemall/src/simulator/workload/writer/swf/QcgSWFJobWriter.java
===================================================================
--- DCWoRMS/branches/coolemall/src/simulator/workload/writer/swf/QcgSWFJobWriter.java	(revision 883)
+++ DCWoRMS/branches/coolemall/src/simulator/workload/writer/swf/QcgSWFJobWriter.java	(revision 1131)
@@ -10,5 +10,4 @@
 import org.qcg.broker.schemas.exception.NoSuchParamException;
 import org.qcg.broker.schemas.jobdesc.ExecutionTimeType;
-import org.qcg.broker.schemas.jobdesc.QcgJob;
 import org.qcg.broker.schemas.jobdesc.Task;
 import org.qcg.broker.schemas.jobdesc.wrapper.TaskRequirements;
@@ -20,5 +19,5 @@
  *
  */
-public class QcgSWFJobWriter extends AbstractSWFJobWriter<QcgJob>{
+public class QcgSWFJobWriter extends AbstractSWFJobWriter<org.qcg.broker.schemas.jobdesc.Job>{
 
 	protected int intTaskId;
@@ -33,5 +32,5 @@
 	}
 	
-	public boolean write(QcgJob job) throws IOException {
+	public boolean write(org.qcg.broker.schemas.jobdesc.Job job) throws IOException {
 		long taskLength;
 		String idMapping;
@@ -46,14 +45,14 @@
 			if(this.useTaskMapping){
 				taskId = String.valueOf(intTaskId);
-				idMapping = taskId+":"+job.getAppId()+":"+task.getTaskId();
+				idMapping = taskId+":"+job.getId()+":"+task.getId();
 				intTaskId++;
 				this.taskMapping.add(idMapping);
 			} else {
-				taskId = task.getTaskId();
+				taskId = task.getId();
 			}
 			
 			// prepare task length value
-			if(tasksLength.containsKey(task.getTaskId())){
-				taskLength = tasksLength.get(task.getTaskId());
+			if(tasksLength.containsKey(task.getId())){
+				taskLength = tasksLength.get(task.getId());
 			} else {
 				taskLength = 0;
Index: DCWoRMS/branches/coolemall/src/simulator/workload/writer/xmlJob/QcgXmlJobWriter.java
===================================================================
--- DCWoRMS/branches/coolemall/src/simulator/workload/writer/xmlJob/QcgXmlJobWriter.java	(revision 477)
+++ DCWoRMS/branches/coolemall/src/simulator/workload/writer/xmlJob/QcgXmlJobWriter.java	(revision 1131)
@@ -12,5 +12,4 @@
 import simulator.workload.fileFilters.QcgJobFileNameFilter;
 
-import org.qcg.broker.schemas.jobdesc.QcgJob;
 
 /**
@@ -20,5 +19,5 @@
  */
 
-public class QcgXmlJobWriter implements XMLJobWriter<QcgJob>{
+public class QcgXmlJobWriter implements XMLJobWriter<org.qcg.broker.schemas.jobdesc.Job>{
 
 	private Log log = LogFactory.getLog(QcgXmlJobWriter.class);
@@ -37,6 +36,6 @@
 	}
 	
-	public boolean write(QcgJob job) throws IOException{
-		String fileName = QcgJobFileNameFilter.FILE_NAME_PREFIX+"_"+job.getAppId()+".xml";
+	public boolean write(org.qcg.broker.schemas.jobdesc.Job job) throws IOException{
+		String fileName = QcgJobFileNameFilter.FILE_NAME_PREFIX+"_"+job.getId()+".xml";
 		
 		File file = new File(directory, fileName);