Index: DCWoRMS/branches/coolemall/src/test/DEBBTranslator/src/PLMXMLTranslator.java
===================================================================
--- DCWoRMS/branches/coolemall/src/test/DEBBTranslator/src/PLMXMLTranslator.java	(revision 1043)
+++ DCWoRMS/branches/coolemall/src/test/DEBBTranslator/src/PLMXMLTranslator.java	(revision 1136)
@@ -25,5 +25,5 @@
 	private static final String DEFAULT_PLMXML_TRANSFORMATION_FILE_NAME = "src/test/DEBBTranslator/xml/PLMXMLTranslator.xsl";
 	private static final String DEFAULT_UPDATE_TRANSFORMATION_FILE_NAME = "src/test/DEBBTranslator/xml/DCWoRMSDEBBUpdater.xsl";
-	private static final String DEFAULT_SCHEDULERS_AND_ESTIMATORS_FILE_NAME = "../../debb2dcworms/example/example1.xml";
+	private static final String DEFAULT_SCHEDULERS_AND_ESTIMATORS_FILE_NAME = "../../debb2dcworms/example/coolemall1.xml";
 	private static final String DEFAULT_TEMPLATE_START_LEVEL = "Node";
 	
Index: DCWoRMS/branches/coolemall/src/test/DEBBTranslator/xml/example/Component_Nodegroup_RECS_Sirius_2.0.xml
===================================================================
--- DCWoRMS/branches/coolemall/src/test/DEBBTranslator/xml/example/Component_Nodegroup_RECS_Sirius_2.0.xml	(revision 1087)
+++ DCWoRMS/branches/coolemall/src/test/DEBBTranslator/xml/example/Component_Nodegroup_RECS_Sirius_2.0.xml	(revision 1136)
@@ -20,5 +20,9 @@
     <Product>SimpleFan</Product>
     <MaxPower>3.0</MaxPower>
-    <PowerUsage>3.0</PowerUsage>
+    <PowerUsageState>
+    	<State>On</State>
+    	<Flow>0.005833</Flow>
+    	<PowerUsage>6.0</PowerUsage>
+    </PowerUsageState>
     <Type>Fan</Type>
     <Transform>1 0 0 0 0 1 0 0 0 0 1 0 -0.391 -0.9748 0.00308 1</Transform>
Index: DCWoRMS/branches/coolemall/src/test/DEBBTranslator/xml/example/DCWORMS_PLMXML_PSNC_RECS_1.xml
===================================================================
--- DCWoRMS/branches/coolemall/src/test/DEBBTranslator/xml/example/DCWORMS_PLMXML_PSNC_RECS_1.xml	(revision 1106)
+++ DCWoRMS/branches/coolemall/src/test/DEBBTranslator/xml/example/DCWORMS_PLMXML_PSNC_RECS_1.xml	(revision 1136)
@@ -46,7 +46,4 @@
                <value>3.0</value>
             </property>
-            <property name="powerUsage">
-               <value>3.0</value>
-            </property>
             <property name="type">
                <value>Fan</value>
@@ -769,4 +766,38 @@
                      <name>example.energy.coolemall.ProcessorEnergyEstimationPlugin</name>
                   </energyEstimationPlugin>
+                  <parameter name="pState">
+                     <property name="name">
+                        <value>1</value>
+                     </property>
+                     <property name="frequency">
+                        <value>1000.0</value>
+                     </property>
+                     <property name="voltage">
+                        <value>0.0</value>
+                     </property>
+                     <property name="powerUsageMin">
+                        <value>16.2</value>
+                     </property>
+                     <property name="powerUsageMax">
+                        <value>16.5</value>
+                     </property>
+                  </parameter>
+                  <parameter name="pState">
+                     <property name="name">
+                        <value>2</value>
+                     </property>
+                     <property name="frequency">
+                        <value>800.0</value>
+                     </property>
+                     <property name="voltage">
+                        <value>0.0</value>
+                     </property>
+                     <property name="powerUsageMin">
+                        <value>16.0</value>
+                     </property>
+                     <property name="powerUsageMax">
+                        <value>16.6</value>
+                     </property>
+                  </parameter>
                </powerProfile>
             </profile>
@@ -848,4 +879,38 @@
                      <name>example.energy.coolemall.ProcessorEnergyEstimationPlugin</name>
                   </energyEstimationPlugin>
+                  <parameter name="pState">
+                     <property name="name">
+                        <value>1</value>
+                     </property>
+                     <property name="frequency">
+                        <value>1000.0</value>
+                     </property>
+                     <property name="voltage">
+                        <value>0.0</value>
+                     </property>
+                     <property name="powerUsageMin">
+                        <value>16.2</value>
+                     </property>
+                     <property name="powerUsageMax">
+                        <value>16.5</value>
+                     </property>
+                  </parameter>
+                  <parameter name="pState">
+                     <property name="name">
+                        <value>2</value>
+                     </property>
+                     <property name="frequency">
+                        <value>800.0</value>
+                     </property>
+                     <property name="voltage">
+                        <value>0.0</value>
+                     </property>
+                     <property name="powerUsageMin">
+                        <value>16.0</value>
+                     </property>
+                     <property name="powerUsageMax">
+                        <value>16.6</value>
+                     </property>
+                  </parameter>
                </powerProfile>
             </profile>
Index: DCWoRMS/branches/coolemall/src/test/DEBBTranslator/xml/example/Component_Node_PSNC_FusionGT40N.xml
===================================================================
--- DCWoRMS/branches/coolemall/src/test/DEBBTranslator/xml/example/Component_Node_PSNC_FusionGT40N.xml	(revision 1087)
+++ DCWoRMS/branches/coolemall/src/test/DEBBTranslator/xml/example/Component_Node_PSNC_FusionGT40N.xml	(revision 1136)
@@ -43,4 +43,18 @@
     <MaxClockSpeed>900</MaxClockSpeed>
     <Cores>2</Cores>
+    <PState>
+    	<State>1</State>
+    	<Frequency>1000.0</Frequency>
+    	<Voltage>0.0</Voltage>
+    	<PowerUsageMin>16.2</PowerUsageMin>
+    	<PowerUsageMax>16.5</PowerUsageMax>
+    </PState>
+    <PState>
+    	<State>2</State>
+    	<Frequency>800.0</Frequency>
+    	<Voltage>0.0</Voltage>
+    	<PowerUsageMin>16.0</PowerUsageMin>
+    	<PowerUsageMax>16.6</PowerUsageMax>
+    </PState>
     <TDP>9.0</TDP>
   </Processor>
Index: DCWoRMS/branches/coolemall/src/test/DEBBTranslator/xml/example/Component_Node_PSNC_i7-16GB-ivy.xml
===================================================================
--- DCWoRMS/branches/coolemall/src/test/DEBBTranslator/xml/example/Component_Node_PSNC_i7-16GB-ivy.xml	(revision 1087)
+++ DCWoRMS/branches/coolemall/src/test/DEBBTranslator/xml/example/Component_Node_PSNC_i7-16GB-ivy.xml	(revision 1136)
@@ -41,4 +41,95 @@
     <MaxClockSpeed>2300</MaxClockSpeed>
     <Cores>4</Cores>
+    <PState>
+    	<State>1</State>
+    	<Frequency>2301.0</Frequency>
+    	<Voltage>0.0</Voltage>
+    	<PowerUsageMin>23.90</PowerUsageMin>
+    	<PowerUsageMax>57.05</PowerUsageMax>
+    </PState>
+    <PState>
+    	<State>2</State>
+    	<Frequency>2300.0</Frequency>
+    	<Voltage>0.0</Voltage>
+    	<PowerUsageMin>21.2</PowerUsageMin>
+    	<PowerUsageMax>35.8</PowerUsageMax>
+    </PState>
+    <PState>
+    	<State>3</State>
+    	<Frequency>2200.0</Frequency>
+    	<Voltage>0.0</Voltage>
+    	<PowerUsageMin>21.3</PowerUsageMin>
+    	<PowerUsageMax>35.2</PowerUsageMax>
+    </PState>
+    <PState>
+    	<State>4</State>
+    	<Frequency>2100.0</Frequency>
+    	<Voltage>0.0</Voltage>
+    	<PowerUsageMin>22.8</PowerUsageMin>
+    	<PowerUsageMax>33.0</PowerUsageMax>
+    </PState>
+    <PState>
+    	<State>5</State>
+    	<Frequency>2000.0</Frequency>
+    	<Voltage>0.0</Voltage>
+    	<PowerUsageMin>22.7</PowerUsageMin>
+    	<PowerUsageMax>33.7</PowerUsageMax>
+    </PState>
+    <PState>
+    	<State>6</State>
+    	<Frequency>1900.0</Frequency>
+    	<Voltage>0.0</Voltage>
+    	<PowerUsageMin>22.4</PowerUsageMin>
+    	<PowerUsageMax>32.4</PowerUsageMax>
+    </PState>
+    <PState>
+    	<State>7</State>
+    	<Frequency>1800.0</Frequency>
+    	<Voltage>0.0</Voltage>
+    	<PowerUsageMin>20.1</PowerUsageMin>
+    	<PowerUsageMax>30.9</PowerUsageMax>
+    </PState>
+    <PState>
+    	<State>8</State>
+    	<Frequency>1700.0</Frequency>
+    	<Voltage>0.0</Voltage>
+    	<PowerUsageMin>20.2</PowerUsageMin>
+    	<PowerUsageMax>30.7</PowerUsageMax>
+    </PState>
+    <PState>
+    	<State>9</State>
+    	<Frequency>1600.0</Frequency>
+    	<Voltage>0.0</Voltage>
+    	<PowerUsageMin>19.8</PowerUsageMin>
+    	<PowerUsageMax>29.5</PowerUsageMax>
+    </PState>
+    <PState>
+    	<State>10</State>
+    	<Frequency>1500.0</Frequency>
+    	<Voltage>0.0</Voltage>
+    	<PowerUsageMin>18.9</PowerUsageMin>
+    	<PowerUsageMax>28.5</PowerUsageMax>
+    </PState>
+    <PState>
+    	<State>11</State>
+    	<Frequency>1400.0</Frequency>
+    	<Voltage>0.0</Voltage>
+    	<PowerUsageMin>17.7</PowerUsageMin>
+    	<PowerUsageMax>28.0</PowerUsageMax>
+    </PState>
+    <PState>
+    	<State>12</State>
+    	<Frequency>1300.0</Frequency>
+    	<Voltage>0.0</Voltage>
+    	<PowerUsageMin>20.1</PowerUsageMin>
+    	<PowerUsageMax>26.7</PowerUsageMax>
+    </PState>
+    <PState>
+    	<State>13</State>
+    	<Frequency>1200.0</Frequency>
+    	<Voltage>0.0</Voltage>
+    	<PowerUsageMin>17.1</PowerUsageMin>
+    	<PowerUsageMax>26.0</PowerUsageMax>
+    </PState>
     <TDP>45.0</TDP>
   </Processor>
Index: DCWoRMS/branches/coolemall/src/test/DEBBTranslator/xml/example/DCWORMS_PLMXML_PSNC_RECS_1_IntegrationOnly.xml
===================================================================
--- DCWoRMS/branches/coolemall/src/test/DEBBTranslator/xml/example/DCWORMS_PLMXML_PSNC_RECS_1_IntegrationOnly.xml	(revision 1106)
+++ DCWoRMS/branches/coolemall/src/test/DEBBTranslator/xml/example/DCWORMS_PLMXML_PSNC_RECS_1_IntegrationOnly.xml	(revision 1136)
@@ -46,7 +46,4 @@
                <value>3.0</value>
             </property>
-            <property name="powerUsage">
-               <value>3.0</value>
-            </property>
             <property name="type">
                <value>Fan</value>
@@ -808,6 +805,228 @@
                      <name>example.energy.coolemall.ProcessorEnergyEstimationPlugin</name>
                   </energyEstimationPlugin>
+                  <parameter name="pState">
+                     <property name="name">
+                        <value>1</value>
+                     </property>
+                     <property name="frequency">
+                        <value>2301.0</value>
+                     </property>
+                     <property name="voltage">
+                        <value>0.0</value>
+                     </property>
+                     <property name="powerUsageMin">
+                        <value>23.90</value>
+                     </property>
+                     <property name="powerUsageMax">
+                        <value>57.05</value>
+                     </property>
+                  </parameter>
+                  <parameter name="pState">
+                     <property name="name">
+                        <value>2</value>
+                     </property>
+                     <property name="frequency">
+                        <value>2300.0</value>
+                     </property>
+                     <property name="voltage">
+                        <value>0.0</value>
+                     </property>
+                     <property name="powerUsageMin">
+                        <value>21.2</value>
+                     </property>
+                     <property name="powerUsageMax">
+                        <value>35.8</value>
+                     </property>
+                  </parameter>
+                  <parameter name="pState">
+                     <property name="name">
+                        <value>3</value>
+                     </property>
+                     <property name="frequency">
+                        <value>2200.0</value>
+                     </property>
+                     <property name="voltage">
+                        <value>0.0</value>
+                     </property>
+                     <property name="powerUsageMin">
+                        <value>21.3</value>
+                     </property>
+                     <property name="powerUsageMax">
+                        <value>35.2</value>
+                     </property>
+                  </parameter>
+                  <parameter name="pState">
+                     <property name="name">
+                        <value>4</value>
+                     </property>
+                     <property name="frequency">
+                        <value>2100.0</value>
+                     </property>
+                     <property name="voltage">
+                        <value>0.0</value>
+                     </property>
+                     <property name="powerUsageMin">
+                        <value>22.8</value>
+                     </property>
+                     <property name="powerUsageMax">
+                        <value>33.0</value>
+                     </property>
+                  </parameter>
+                  <parameter name="pState">
+                     <property name="name">
+                        <value>5</value>
+                     </property>
+                     <property name="frequency">
+                        <value>2000.0</value>
+                     </property>
+                     <property name="voltage">
+                        <value>0.0</value>
+                     </property>
+                     <property name="powerUsageMin">
+                        <value>22.7</value>
+                     </property>
+                     <property name="powerUsageMax">
+                        <value>33.7</value>
+                     </property>
+                  </parameter>
+                  <parameter name="pState">
+                     <property name="name">
+                        <value>6</value>
+                     </property>
+                     <property name="frequency">
+                        <value>1900.0</value>
+                     </property>
+                     <property name="voltage">
+                        <value>0.0</value>
+                     </property>
+                     <property name="powerUsageMin">
+                        <value>22.4</value>
+                     </property>
+                     <property name="powerUsageMax">
+                        <value>32.4</value>
+                     </property>
+                  </parameter>
+                  <parameter name="pState">
+                     <property name="name">
+                        <value>7</value>
+                     </property>
+                     <property name="frequency">
+                        <value>1800.0</value>
+                     </property>
+                     <property name="voltage">
+                        <value>0.0</value>
+                     </property>
+                     <property name="powerUsageMin">
+                        <value>20.1</value>
+                     </property>
+                     <property name="powerUsageMax">
+                        <value>30.9</value>
+                     </property>
+                  </parameter>
+                  <parameter name="pState">
+                     <property name="name">
+                        <value>8</value>
+                     </property>
+                     <property name="frequency">
+                        <value>1700.0</value>
+                     </property>
+                     <property name="voltage">
+                        <value>0.0</value>
+                     </property>
+                     <property name="powerUsageMin">
+                        <value>20.2</value>
+                     </property>
+                     <property name="powerUsageMax">
+                        <value>30.7</value>
+                     </property>
+                  </parameter>
+                  <parameter name="pState">
+                     <property name="name">
+                        <value>9</value>
+                     </property>
+                     <property name="frequency">
+                        <value>1600.0</value>
+                     </property>
+                     <property name="voltage">
+                        <value>0.0</value>
+                     </property>
+                     <property name="powerUsageMin">
+                        <value>19.8</value>
+                     </property>
+                     <property name="powerUsageMax">
+                        <value>29.5</value>
+                     </property>
+                  </parameter>
+                  <parameter name="pState">
+                     <property name="name">
+                        <value>10</value>
+                     </property>
+                     <property name="frequency">
+                        <value>1500.0</value>
+                     </property>
+                     <property name="voltage">
+                        <value>0.0</value>
+                     </property>
+                     <property name="powerUsageMin">
+                        <value>18.9</value>
+                     </property>
+                     <property name="powerUsageMax">
+                        <value>28.5</value>
+                     </property>
+                  </parameter>
+                  <parameter name="pState">
+                     <property name="name">
+                        <value>11</value>
+                     </property>
+                     <property name="frequency">
+                        <value>1400.0</value>
+                     </property>
+                     <property name="voltage">
+                        <value>0.0</value>
+                     </property>
+                     <property name="powerUsageMin">
+                        <value>17.7</value>
+                     </property>
+                     <property name="powerUsageMax">
+                        <value>28.0</value>
+                     </property>
+                  </parameter>
+                  <parameter name="pState">
+                     <property name="name">
+                        <value>12</value>
+                     </property>
+                     <property name="frequency">
+                        <value>1300.0</value>
+                     </property>
+                     <property name="voltage">
+                        <value>0.0</value>
+                     </property>
+                     <property name="powerUsageMin">
+                        <value>20.1</value>
+                     </property>
+                     <property name="powerUsageMax">
+                        <value>26.7</value>
+                     </property>
+                  </parameter>
+                  <parameter name="pState">
+                     <property name="name">
+                        <value>13</value>
+                     </property>
+                     <property name="frequency">
+                        <value>1200.0</value>
+                     </property>
+                     <property name="voltage">
+                        <value>0.0</value>
+                     </property>
+                     <property name="powerUsageMin">
+                        <value>17.1</value>
+                     </property>
+                     <property name="powerUsageMax">
+                        <value>26.0</value>
+                     </property>
+                  </parameter>
                </powerProfile>
             </profile>
+            <computingResource class="Core" count="4"/>
          </computingResource>
       </computingResourceTemplate>
@@ -881,6 +1100,262 @@
                      <name>example.energy.coolemall.ProcessorEnergyEstimationPlugin</name>
                   </energyEstimationPlugin>
+                  <parameter name="pState">
+                     <property name="name">
+                        <value>1</value>
+                     </property>
+                     <property name="frequency">
+                        <value>2101.0</value>
+                     </property>
+                     <property name="voltage">
+                        <value>0.0</value>
+                     </property>
+                     <property name="powerUsageMin">
+                        <value>27.2</value>
+                     </property>
+                     <property name="powerUsageMax">
+                        <value>47.8</value>
+                     </property>
+                  </parameter>
+                  <parameter name="pState">
+                     <property name="name">
+                        <value>2</value>
+                     </property>
+                     <property name="frequency">
+                        <value>2100.0</value>
+                     </property>
+                     <property name="voltage">
+                        <value>0.0</value>
+                     </property>
+                     <property name="powerUsageMin">
+                        <value>17.6</value>
+                     </property>
+                     <property name="powerUsageMax">
+                        <value>40.7</value>
+                     </property>
+                  </parameter>
+                  <parameter name="pState">
+                     <property name="name">
+                        <value>3</value>
+                     </property>
+                     <property name="frequency">
+                        <value>2000.0</value>
+                     </property>
+                     <property name="voltage">
+                        <value>0.0</value>
+                     </property>
+                     <property name="powerUsageMin">
+                        <value>17.7</value>
+                     </property>
+                     <property name="powerUsageMax">
+                        <value>36.9</value>
+                     </property>
+                  </parameter>
+                  <parameter name="pState">
+                     <property name="name">
+                        <value>4</value>
+                     </property>
+                     <property name="frequency">
+                        <value>1900.0</value>
+                     </property>
+                     <property name="voltage">
+                        <value>0.0</value>
+                     </property>
+                     <property name="powerUsageMin">
+                        <value>17.0</value>
+                     </property>
+                     <property name="powerUsageMax">
+                        <value>33.6</value>
+                     </property>
+                  </parameter>
+                  <parameter name="pState">
+                     <property name="name">
+                        <value>5</value>
+                     </property>
+                     <property name="frequency">
+                        <value>1800.0</value>
+                     </property>
+                     <property name="voltage">
+                        <value>0.0</value>
+                     </property>
+                     <property name="powerUsageMin">
+                        <value>17.5</value>
+                     </property>
+                     <property name="powerUsageMax">
+                        <value>32.1</value>
+                     </property>
+                  </parameter>
+                  <parameter name="pState">
+                     <property name="name">
+                        <value>6</value>
+                     </property>
+                     <property name="frequency">
+                        <value>1700.0</value>
+                     </property>
+                     <property name="voltage">
+                        <value>0.0</value>
+                     </property>
+                     <property name="powerUsageMin">
+                        <value>17.2</value>
+                     </property>
+                     <property name="powerUsageMax">
+                        <value>30.8</value>
+                     </property>
+                  </parameter>
+                  <parameter name="pState">
+                     <property name="name">
+                        <value>7</value>
+                     </property>
+                     <property name="frequency">
+                        <value>1600.0</value>
+                     </property>
+                     <property name="voltage">
+                        <value>0.0</value>
+                     </property>
+                     <property name="powerUsageMin">
+                        <value>14.7</value>
+                     </property>
+                     <property name="powerUsageMax">
+                        <value>29.4</value>
+                     </property>
+                  </parameter>
+                  <parameter name="pState">
+                     <property name="name">
+                        <value>8</value>
+                     </property>
+                     <property name="frequency">
+                        <value>1500.0</value>
+                     </property>
+                     <property name="voltage">
+                        <value>0.0</value>
+                     </property>
+                     <property name="powerUsageMin">
+                        <value>16.2</value>
+                     </property>
+                     <property name="powerUsageMax">
+                        <value>27.5</value>
+                     </property>
+                  </parameter>
+                  <parameter name="pState">
+                     <property name="name">
+                        <value>9</value>
+                     </property>
+                     <property name="frequency">
+                        <value>1400.0</value>
+                     </property>
+                     <property name="voltage">
+                        <value>0.0</value>
+                     </property>
+                     <property name="powerUsageMin">
+                        <value>14.5</value>
+                     </property>
+                     <property name="powerUsageMax">
+                        <value>25.6</value>
+                     </property>
+                  </parameter>
+                  <parameter name="pState">
+                     <property name="name">
+                        <value>10</value>
+                     </property>
+                     <property name="frequency">
+                        <value>1300.0</value>
+                     </property>
+                     <property name="voltage">
+                        <value>0.0</value>
+                     </property>
+                     <property name="powerUsageMin">
+                        <value>15.2</value>
+                     </property>
+                     <property name="powerUsageMax">
+                        <value>24.0</value>
+                     </property>
+                  </parameter>
+                  <parameter name="pState">
+                     <property name="name">
+                        <value>11</value>
+                     </property>
+                     <property name="frequency">
+                        <value>1200.0</value>
+                     </property>
+                     <property name="voltage">
+                        <value>0.0</value>
+                     </property>
+                     <property name="powerUsageMin">
+                        <value>14.6</value>
+                     </property>
+                     <property name="powerUsageMax">
+                        <value>22.2</value>
+                     </property>
+                  </parameter>
+                  <parameter name="pState">
+                     <property name="name">
+                        <value>12</value>
+                     </property>
+                     <property name="frequency">
+                        <value>1100.0</value>
+                     </property>
+                     <property name="voltage">
+                        <value>0.0</value>
+                     </property>
+                     <property name="powerUsageMin">
+                        <value>13.4</value>
+                     </property>
+                     <property name="powerUsageMax">
+                        <value>21.3</value>
+                     </property>
+                  </parameter>
+                  <parameter name="pState">
+                     <property name="name">
+                        <value>13</value>
+                     </property>
+                     <property name="frequency">
+                        <value>1000.0</value>
+                     </property>
+                     <property name="voltage">
+                        <value>0.0</value>
+                     </property>
+                     <property name="powerUsageMin">
+                        <value>13.1</value>
+                     </property>
+                     <property name="powerUsageMax">
+                        <value>19.8</value>
+                     </property>
+                  </parameter>
+                  <parameter name="pState">
+                     <property name="name">
+                        <value>14</value>
+                     </property>
+                     <property name="frequency">
+                        <value>900.0</value>
+                     </property>
+                     <property name="voltage">
+                        <value>0.0</value>
+                     </property>
+                     <property name="powerUsageMin">
+                        <value>13.7</value>
+                     </property>
+                     <property name="powerUsageMax">
+                        <value>18.9</value>
+                     </property>
+                  </parameter>
+                  <parameter name="pState">
+                     <property name="name">
+                        <value>15</value>
+                     </property>
+                     <property name="frequency">
+                        <value>800.0</value>
+                     </property>
+                     <property name="voltage">
+                        <value>0.0</value>
+                     </property>
+                     <property name="powerUsageMin">
+                        <value>13.1</value>
+                     </property>
+                     <property name="powerUsageMax">
+                        <value>17.7</value>
+                     </property>
+                  </parameter>
                </powerProfile>
             </profile>
+            <computingResource class="Core" count="4"/>
          </computingResource>
       </computingResourceTemplate>
Index: DCWoRMS/branches/coolemall/src/test/DEBBTranslator/xml/example/Component_Node_PSNC_i7-16GB-sandy.xml
===================================================================
--- DCWoRMS/branches/coolemall/src/test/DEBBTranslator/xml/example/Component_Node_PSNC_i7-16GB-sandy.xml	(revision 1087)
+++ DCWoRMS/branches/coolemall/src/test/DEBBTranslator/xml/example/Component_Node_PSNC_i7-16GB-sandy.xml	(revision 1136)
@@ -41,4 +41,109 @@
     <MaxClockSpeed>2100</MaxClockSpeed>
     <Cores>4</Cores>
+    <PState>
+    	<State>1</State>
+    	<Frequency>2101.0</Frequency>
+    	<Voltage>0.0</Voltage>
+    	<PowerUsageMin>27.2</PowerUsageMin>
+    	<PowerUsageMax>47.8</PowerUsageMax>
+    </PState>
+    <PState>
+    	<State>2</State>
+    	<Frequency>2100.0</Frequency>
+    	<Voltage>0.0</Voltage>
+    	<PowerUsageMin>17.6</PowerUsageMin>
+    	<PowerUsageMax>40.7</PowerUsageMax>
+    </PState>
+    <PState>
+    	<State>3</State>
+    	<Frequency>2000.0</Frequency>
+    	<Voltage>0.0</Voltage>
+    	<PowerUsageMin>17.7</PowerUsageMin>
+    	<PowerUsageMax>36.9</PowerUsageMax>
+    </PState>
+    <PState>
+    	<State>4</State>
+    	<Frequency>1900.0</Frequency>
+    	<Voltage>0.0</Voltage>
+    	<PowerUsageMin>17.0</PowerUsageMin>
+    	<PowerUsageMax>33.6</PowerUsageMax>
+    </PState>
+    <PState>
+    	<State>5</State>
+    	<Frequency>1800.0</Frequency>
+    	<Voltage>0.0</Voltage>
+    	<PowerUsageMin>17.5</PowerUsageMin>
+    	<PowerUsageMax>32.1</PowerUsageMax>
+    </PState>
+    <PState>
+    	<State>6</State>
+    	<Frequency>1700.0</Frequency>
+    	<Voltage>0.0</Voltage>
+    	<PowerUsageMin>17.2</PowerUsageMin>
+    	<PowerUsageMax>30.8</PowerUsageMax>
+    </PState>
+    <PState>
+    	<State>7</State>
+    	<Frequency>1600.0</Frequency>
+    	<Voltage>0.0</Voltage>
+    	<PowerUsageMin>14.7</PowerUsageMin>
+    	<PowerUsageMax>29.4</PowerUsageMax>
+    </PState>
+    <PState>
+    	<State>8</State>
+    	<Frequency>1500.0</Frequency>
+    	<Voltage>0.0</Voltage>
+    	<PowerUsageMin>16.2</PowerUsageMin>
+    	<PowerUsageMax>27.5</PowerUsageMax>
+    </PState>
+    <PState>
+    	<State>9</State>
+    	<Frequency>1400.0</Frequency>
+    	<Voltage>0.0</Voltage>
+    	<PowerUsageMin>14.5</PowerUsageMin>
+    	<PowerUsageMax>25.6</PowerUsageMax>
+    </PState>
+    <PState>
+    	<State>10</State>
+    	<Frequency>1300.0</Frequency>
+    	<Voltage>0.0</Voltage>
+    	<PowerUsageMin>15.2</PowerUsageMin>
+    	<PowerUsageMax>24.0</PowerUsageMax>
+    </PState>
+    <PState>
+    	<State>11</State>
+    	<Frequency>1200.0</Frequency>
+    	<Voltage>0.0</Voltage>
+    	<PowerUsageMin>14.6</PowerUsageMin>
+    	<PowerUsageMax>22.2</PowerUsageMax>
+    </PState>
+    <PState>
+    	<State>12</State>
+    	<Frequency>1100.0</Frequency>
+    	<Voltage>0.0</Voltage>
+    	<PowerUsageMin>13.4</PowerUsageMin>
+    	<PowerUsageMax>21.3</PowerUsageMax>
+    </PState>
+    <PState>
+    	<State>13</State>
+    	<Frequency>1000.0</Frequency>
+    	<Voltage>0.0</Voltage>
+    	<PowerUsageMin>13.1</PowerUsageMin>
+    	<PowerUsageMax>19.8</PowerUsageMax>
+    </PState>
+    <PState>
+    	<State>14</State>
+    	<Frequency>900.0</Frequency>
+    	<Voltage>0.0</Voltage>
+    	<PowerUsageMin>13.7</PowerUsageMin>
+    	<PowerUsageMax>18.9</PowerUsageMax>
+    </PState>
+    <PState>
+    	<State>15</State>
+    	<Frequency>800.0</Frequency>
+    	<Voltage>0.0</Voltage>
+    	<PowerUsageMin>13.1</PowerUsageMin>
+    	<PowerUsageMax>17.7</PowerUsageMax>
+    </PState>
     <TDP>45.0</TDP>
   </Processor>
Index: DCWoRMS/branches/coolemall/src/test/DEBBTranslator/xml/DEBBComponentTranslator.xsl
===================================================================
--- DCWoRMS/branches/coolemall/src/test/DEBBTranslator/xml/DEBBComponentTranslator.xsl	(revision 1116)
+++ DCWoRMS/branches/coolemall/src/test/DEBBTranslator/xml/DEBBComponentTranslator.xsl	(revision 1136)
@@ -588,4 +588,13 @@
 			</xsl:element>
 		</xsl:if>	
+		
+		<xsl:if test="Cores">
+			<xsl:element name="computingResource">
+				<xsl:attribute name="class">Core</xsl:attribute>
+				<xsl:attribute name="count">
+					<xsl:value-of select="Cores" />
+				</xsl:attribute>
+			</xsl:element>
+		</xsl:if>
 	</xsl:template>
 