Index: DCWoRMS/branches/coolemall/example/experiment6/workload/QcgJob_00.xml
===================================================================
--- DCWoRMS/branches/coolemall/example/experiment6/workload/QcgJob_00.xml	(revision 883)
+++ DCWoRMS/branches/coolemall/example/experiment6/workload/QcgJob_00.xml	(revision 1137)
@@ -1,4 +1,4 @@
-<qcgJob appId="0">
-	<task taskId="0">
+<job id="0">
+	<task id="0">
 		<execution>
 			<resourceConsumptionProfile>
@@ -30,3 +30,3 @@
 		</execution>
 	</task>
-</qcgJob>
+</job>
Index: DCWoRMS/branches/coolemall/example/experiment6/workload/QcgJob_01.xml
===================================================================
--- DCWoRMS/branches/coolemall/example/experiment6/workload/QcgJob_01.xml	(revision 883)
+++ DCWoRMS/branches/coolemall/example/experiment6/workload/QcgJob_01.xml	(revision 1137)
@@ -1,4 +1,4 @@
-<qcgJob appId="1">
-	<task taskId="0">
+<job id="1">
+	<task id="0">
 		<requirements>
 			<resourceRequirements>
@@ -39,3 +39,3 @@
 		</execution>
 	</task>
-</qcgJob>
+</job>
Index: DCWoRMS/branches/coolemall/example/experiment6/workload/QcgJob_02.xml
===================================================================
--- DCWoRMS/branches/coolemall/example/experiment6/workload/QcgJob_02.xml	(revision 883)
+++ DCWoRMS/branches/coolemall/example/experiment6/workload/QcgJob_02.xml	(revision 1137)
@@ -1,4 +1,4 @@
-<qcgJob appId="2">
-	<task taskId="0">
+<job id="2">
+	<task id="0">
 		<requirements>
 			<resourceRequirements>
@@ -39,3 +39,3 @@
 		</execution>
 	</task>
-</qcgJob>
+</job>
Index: DCWoRMS/branches/coolemall/example/experiment6/workload/QcgJob_03.xml
===================================================================
--- DCWoRMS/branches/coolemall/example/experiment6/workload/QcgJob_03.xml	(revision 883)
+++ DCWoRMS/branches/coolemall/example/experiment6/workload/QcgJob_03.xml	(revision 1137)
@@ -1,4 +1,4 @@
-<qcgJob appId="3">
-	<task taskId="0">
+<job id="3">
+	<task id="0">
 		<requirements>
 			<resourceRequirements>
@@ -39,3 +39,3 @@
 		</execution>
 	</task>
-</qcgJob>
+</job>
Index: DCWoRMS/branches/coolemall/example/experiment6/workload/QcgJob_04.xml
===================================================================
--- DCWoRMS/branches/coolemall/example/experiment6/workload/QcgJob_04.xml	(revision 883)
+++ DCWoRMS/branches/coolemall/example/experiment6/workload/QcgJob_04.xml	(revision 1137)
@@ -1,4 +1,4 @@
-<qcgJob appId="4">
-	<task taskId="0">
+<job id="4">
+	<task id="0">
 		<requirements>
 			<resourceRequirements>
@@ -39,3 +39,3 @@
 		</execution>
 	</task>
-</qcgJob>
+</job>
Index: DCWoRMS/branches/coolemall/example/experiment6/workload/QcgJob_05.xml
===================================================================
--- DCWoRMS/branches/coolemall/example/experiment6/workload/QcgJob_05.xml	(revision 883)
+++ DCWoRMS/branches/coolemall/example/experiment6/workload/QcgJob_05.xml	(revision 1137)
@@ -1,4 +1,4 @@
-<qcgJob appId="5">
-	<task taskId="0">
+<job id="5">
+	<task id="0">
 		<requirements>
 			<resourceRequirements>
@@ -39,3 +39,3 @@
 		</execution>
 	</task>
-</qcgJob>
+</job>
Index: DCWoRMS/branches/coolemall/example/experiment6/workload/QcgJob_06.xml
===================================================================
--- DCWoRMS/branches/coolemall/example/experiment6/workload/QcgJob_06.xml	(revision 883)
+++ DCWoRMS/branches/coolemall/example/experiment6/workload/QcgJob_06.xml	(revision 1137)
@@ -1,4 +1,4 @@
-<qcgJob appId="6">
-	<task taskId="0">
+<job id="6">
+	<task id="0">
 		<requirements>
 			<resourceRequirements>
@@ -39,3 +39,3 @@
 		</execution>
 	</task>
-</qcgJob>
+</job>
Index: DCWoRMS/branches/coolemall/example/experiment6/workload/QcgJob_07.xml
===================================================================
--- DCWoRMS/branches/coolemall/example/experiment6/workload/QcgJob_07.xml	(revision 883)
+++ DCWoRMS/branches/coolemall/example/experiment6/workload/QcgJob_07.xml	(revision 1137)
@@ -1,4 +1,4 @@
-<qcgJob appId="7">
-	<task taskId="0">
+<job id="7">
+	<task id="0">
 		<requirements>
 			<resourceRequirements>
@@ -39,3 +39,3 @@
 		</execution>
 	</task>
-</qcgJob>
+</job>
Index: DCWoRMS/branches/coolemall/example/experiment6/workload/QcgJob_08.xml
===================================================================
--- DCWoRMS/branches/coolemall/example/experiment6/workload/QcgJob_08.xml	(revision 883)
+++ DCWoRMS/branches/coolemall/example/experiment6/workload/QcgJob_08.xml	(revision 1137)
@@ -1,4 +1,4 @@
-<qcgJob appId="8">
-	<task taskId="0">
+<job id="8">
+	<task id="0">
 		<requirements>
 			<resourceRequirements>
@@ -39,3 +39,3 @@
 		</execution>
 	</task>
-</qcgJob>
+</job>
Index: DCWoRMS/branches/coolemall/example/experiment6/workload/QcgJob_09.xml
===================================================================
--- DCWoRMS/branches/coolemall/example/experiment6/workload/QcgJob_09.xml	(revision 883)
+++ DCWoRMS/branches/coolemall/example/experiment6/workload/QcgJob_09.xml	(revision 1137)
@@ -1,4 +1,4 @@
-<qcgJob appId="9">
-	<task taskId="0">
+<job id="9">
+	<task id="0">
 		<requirements>
 			<resourceRequirements>
@@ -39,3 +39,3 @@
 		</execution>
 	</task>
-</qcgJob>
+</job>